import { Pantalla } from 'componentes/pantalla';
import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { CamposLogin } from 'modelos/estructura-login';
export declare class PantallaLogin extends Pantalla {
    _formLoginForm: HTMLFormElement;
    _inputUser: Campo;
    _inputPassword: Campo;
    _inputDb: Campo;
    _inputToken: Campo;
    _botonConnect: Boton;
    protected _datosPantalla: CamposLogin;
    constructor();
    inicializaComponentes(): {
        _inputUser: import("componentes/campo").DefinicionCampo;
        _inputPassword: import("componentes/campo").DefinicionCampo;
        _inputDb: import("componentes/campo").DefinicionCampo;
        _inputToken: import("componentes/campo").DefinicionCampo;
        _botonConnect: import("componentes/boton").DefinicionBoton;
    };
    protected asociaComponentes(): void;
    protected inicializa(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    realizarLogin(): Promise<any>;
}
