import { ComponenteHTML } from 'componentes/componente-html';
export declare class DefinicionCasillaVerificacion extends ComponenteHTML {
    private _valores;
    constructor(_elemento: HTMLElement, _valores: {
        valida?: any;
        cambio?: (p_evento: Event) => void;
    });
    valida(p_funcion: any): DefinicionCasillaVerificacion;
    cambio(p_funcion: (p_evento: Event) => void): DefinicionCasillaVerificacion;
    crea(): CasillaVerificacion;
}
export declare class CasillaVerificacion extends ComponenteHTML {
    private _valores;
    constructor(_elemento: HTMLElement, _valores: {
        cambio: (p_evento: Event) => any;
    });
    valor(p_valor: any): any;
    foco(): this;
    deshabilita(): this;
    habilita(): this;
    habilitado(p_valor: boolean): boolean;
    visible(p_valor: boolean): boolean;
}
export declare function casillaVerificacion(p_elemento: string): DefinicionCasillaVerificacion;
