import { ComponenteHTML } from 'componentes/componente-html';
export declare class DefinicionModal extends ComponenteHTML {
    private _valores;
    constructor(_elemento: HTMLElement, _valores: {
        titulo: string;
        estilos: {
            [nombre: string]: string;
        };
        cancelable: boolean;
        construye: (p_modal: Modal) => any;
    });
    titulo(p_titulo: string): DefinicionModal;
    estilos(p_estilos: {
        [nombre: string]: string;
    }): DefinicionModal;
    cancelable(p_cancelable: boolean): DefinicionModal;
    construye(p_construye: (p_modal: Modal) => any): DefinicionModal;
    abre(): Promise<unknown>;
}
export declare class Modal extends ComponenteHTML {
    private _insertado;
    private _resuelve;
    private _titulo;
    private _elementoEnFoco;
    private _cancelable;
    private _etiquetaTitulo;
    private _botonCerrar;
    constructor(_insertado: any, _resuelve: (p_resultado: any) => void, _titulo: string, _elementoEnFoco: HTMLElement, _cancelable: boolean);
    componente(p_elemento: string): any;
    bloque(p_elemento: string): import("componentes/bloque").DefinicionBloque;
    etiqueta(p_elemento: string): import("componentes/label").DefinicionLabel;
    boton(p_elemento: string): import("componentes/boton").DefinicionBoton;
    campo(p_elemento: string): import("componentes/campo").DefinicionCampo;
    casillaVerificacion(p_elemento: string): import("componentes/casilla-verificacion").DefinicionCasillaVerificacion;
    tabla<T = unknown>(p_elemento: string): import("componentes/tabla").DefinicionTabla<T>;
    label(p_elemento: string): import("componentes/label").DefinicionLabel;
    input(p_elemento: string): import("componentes/campo").DefinicionCampo;
    check(p_elemento: string): import("componentes/casilla-verificacion").DefinicionCasillaVerificacion;
    cierra(p_resultado?: any): void;
    titulo(p_titulo: string): void;
    cancelable(p_cancelable: boolean): any;
    capturaTecla(p_tecla: string, p_elemento: HTMLElement, p_manejador: (p_evento: MouseEvent | KeyboardEvent) => void): void;
    id(): string;
}
export declare function modal(p_elemento: HTMLElement | string): DefinicionModal;
