import { Pantalla } from 'componentes/pantalla';
import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { ConfigConsultaArticulo, ExistenciasArticulo } from 'consultas/consulta-articulo/modelos/modelo';
import { Tabla } from 'componentes/tabla';
export declare class PantallaConsultaArticulo extends Pantalla {
    _botonNuevo: Boton;
    _botonRegularizar: Boton;
    _inputArticulo: Campo;
    _inputArticuloDescrip: Campo;
    _inputExistencias: Campo;
    _inputAgrupaciones: Campo;
    _btnBusquedaArticulo: Boton;
    _tablaConsulta: Tabla;
    protected _config: ConfigConsultaArticulo;
    protected _modelo: ExistenciasArticulo;
    constructor();
    protected asociaComponentes(): Promise<void>;
    actualizaVista(): void;
    actualizaModelo(): void;
    protected inicializa(): Promise<void>;
    protected inicializaComponentes(): {
        _botonNuevo: import("componentes/boton").DefinicionBoton;
        _botonRegularizar: import("componentes/boton").DefinicionBoton;
        _inputArticulo: import("componentes/campo").DefinicionCampo;
        _inputArticuloDescrip: import("componentes/campo").DefinicionCampo;
        _inputExistencias: import("componentes/campo").DefinicionCampo;
        _inputAgrupaciones: import("componentes/campo").DefinicionCampo;
        _btnBusquedaArticulo: import("componentes/boton").DefinicionBoton;
        _tablaConsulta: import("componentes/tabla").DefinicionTabla<unknown>;
    };
    protected nuevo(): void;
    protected habilitarConfirmacion(): boolean;
    protected Regularizar(): Promise<void>;
    lovArticulo(): Promise<void>;
    ConsultaArticulo(): Promise<void>;
    ConsultaArticulos(): Promise<{
        COD: string;
        DESCRIP: string;
    }[]>;
    protected apiRegularizar(): Promise<boolean>;
    protected inicioArticulo(): Promise<{
        MostrarAgrupacion: boolean;
        PermiteRegularizar: boolean;
        Reservas: boolean;
    }>;
}
