import { Modal } from 'componentes/modal';
import { BultoPedidoPreparado, RespuestaResumenBultos } from 'expedicion/modelos/expedicion-tipos';
export declare class DialogoResumenBultos {
    private modal;
    private _botonConfirmar;
    private _botonImprimir;
    private _inputGgmenvio_cod;
    private _inputGgmenvio_descrip;
    private _botonBusquedaGgmenvio_cod;
    private _inputGgvehiculo_cod;
    private _inputGgvehiculo_descrip;
    private _botonBusquedaGgvehiculo_cod;
    private _botonConsultaBultos;
    private _labelEtiquetaBultos;
    private _inputBultos;
    private _inputPeso;
    private _inputEtiquetas;
    private _desplegablePlantillas;
    private _inputCopias;
    private _inputAlbaranValorado;
    private bultos;
    private resumenBultos;
    constructor(modal: Modal, p_resumenBultos: RespuestaResumenBultos & {
        GGMENVIO_COD: string;
        GGMENVIO_DES: string;
        GGVEHICULO_COD: string;
        GGVEHICULO_DES: string;
        AlbaranValorado: boolean;
    }, p_otros: {
        mostrarAlbaranValorado: boolean;
        mostrarCopias: boolean;
        detalleBultos: BultoPedidoPreparado[];
        fechaAlbaran: string;
    });
    actualizaVista(): void;
    actualizaModelo(): void;
    confirma(): Promise<void>;
    imprime(): void;
    validaGgmenvio_cod(): Promise<void>;
    pideGgmenvio_cod(): Promise<boolean>;
    validaGgvehiculo_cod(): Promise<void>;
    pideGgvehiculo_cod(): Promise<boolean>;
    consultaBultos(): Promise<void>;
}
