define(["require", "exports", "Movimientos/Shared/modelos/DatosAlmacen"], function (require, exports, DatosAlmacen_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.EntradasModel = void 0;
    class EntradasModel {
        constructor(init) {
            this._empgrupo_cod = sessionStorage.getItem("EMPRGRUP_COD");
            this._emp_cod = sessionStorage.getItem("EMPR_COD");
            this._Articulo = null;
            this._ArticuloDescripcion = null;
            this._DatosDestino = new DatosAlmacen_1.DatosAlmacen();
            this._Cantidad = null;
            Object.assign(this, init);
        }
        get Grupo() {
            return this._empgrupo_cod;
        }
        get Empresa() {
            return this._emp_cod;
        }
        set ArticuloDescripcion(value) {
            this._ArticuloDescripcion = value;
        }
        get ArticuloDescripcion() {
            return this._ArticuloDescripcion;
        }
        set Articulo(value) {
            this._Articulo = value;
        }
        get Articulo() {
            return this._Articulo;
        }
        set TipoMovimiento(value) {
            this._TipoMovimiento = value;
        }
        get TipoMovimiento() {
            return this._TipoMovimiento;
        }
        set DatosDestino(value) {
            this._DatosDestino = new DatosAlmacen_1.DatosAlmacen(value);
        }
        get DatosDestino() {
            return this._DatosDestino;
        }
        set Cantidad(value) {
            this._Cantidad = value;
        }
        get Cantidad() {
            return this._Cantidad;
        }
        get ModeloValido() {
            if (this._Articulo && this._Cantidad && this._DatosDestino.ModeloValido)
                return true;
            return false;
        }
    }
    exports.EntradasModel = EntradasModel;
});
