define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.DialogoDatosAdicionalesAlbaran = void 0;
    class DialogoDatosAdicionalesAlbaran {
        constructor(modal, datosAdicionales) {
            this.modal = modal;
            this._datosAdicionales = datosAdicionales;
            this._inputRefAlbaran = this.modal.campo('codRefAlbaran')
                .cambio(() => this.actualizaModelo())
                .crea();
            this._botonAceptar = this.modal.boton('btnAceptar')
                .clic(() => this.aceptar())
                .crea();
        }
        actualizaModelo() {
            this._datosAdicionales.SU_REF_ALB = this._inputRefAlbaran.valor();
        }
        actualizaVista() {
            this._inputRefAlbaran.valor(this._datosAdicionales.SU_REF_ALB);
        }
        async aceptar() {
            this.actualizaModelo();
            this.modal.cierra(this._datosAdicionales);
        }
    }
    exports.DialogoDatosAdicionalesAlbaran = DialogoDatosAdicionalesAlbaran;
});
