export type CamposExwork = {
    Albaran: string;
    Matricula: string;
    NomCli: string;
    TIP_VC: string;
    Direccion: string;
    Fecha: string;
    Int: string;
    Pais: string;
    Telefono: string;
    Bultos: number;
    Peso: number;
    Transporte: string;
    Operario: string;
    OperarioDescrip: string;
    OperarioObligatorio: boolean;
    Firma: string;
};
export type parametrosGetAlb = {
    empgrupo_cod: string;
    emp_cod: string;
    albaran: string;
};
export type parametrosGetOperarios = {
    empgrupo_cod: string;
    emp_cod: string;
};
export type parametrosGetOperario = {
    empgrupo_cod: string;
    emp_cod: string;
    gpoper_cod: string;
};
export type operarioSeleccionado = {
    COD: string;
    NOMBRE: string;
};
export type peticionExworkFinaliza = {
    EMPGRUPO_COD: string;
    EMP_COD: string;
    TIP_VC: string;
    GGALBTIP_COD: string;
    N_ALBARAN: number;
    GPOPER_COD: string;
    CLINOM: string;
    DIRCOMPLETA: string;
    GGMENVIO_DES: string;
    FECHA_EXW: Date;
    MATRICULA: string;
    Telefono: {
        INT: string;
        PAIS: string;
        NUMERO: string;
    };
    Firma: string;
};
