import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { Pantalla } from 'componentes/pantalla';
import { CambioUbicacionModel } from 'Movimientos/modelos/cambio-ubicacion';
import { TipoMovimiento } from 'Movimientos/modelos/tipo-movimiento';
import { BloqueDestino } from 'Movimientos/Shared/_BloqueDestino';
import { BloqueOrigen } from 'Movimientos/Shared/_BloqueOrigen';
export declare class PantallaCambioUbicacion extends Pantalla {
    _botonNuevo: Boton;
    _botonGuardar: Boton;
    _botonConsultaAlmacenOrigen: Boton;
    _botonConsultaAlmacenDestino: Boton;
    _botonEstableceCantidad: Boton;
    _inputArticulo: Campo;
    _inputArticuloDescipcion: Campo;
    _inputCantidad: Campo;
    _bloqueDestino: BloqueDestino;
    _bloqueOrigen: BloqueOrigen;
    _model: CambioUbicacionModel;
    constructor();
    set ControlLotes(p_lotes: 'S' | 'N');
    set ControlUbicaciones(Ubicaciones: 'S' | 'N');
    inicializaComponentes(): {
        _botonNuevo: import("componentes/boton").DefinicionBoton;
        _botonGuardar: import("componentes/boton").DefinicionBoton;
        _inputArticulo: import("componentes/campo").DefinicionCampo;
        _inputArticuloDescipcion: import("componentes/campo").DefinicionCampo;
        _inputCantidad: import("componentes/campo").DefinicionCampo;
        _botonEstableceCantidad: import("componentes/boton").DefinicionBoton;
    };
    inicializaBloques(): void;
    Inicializa(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    limpiaCampoCantidad(): void;
    CambioArticulo(p_articulo: string): Promise<void>;
    ValidarArticulo(p_articulo: string): Promise<{
        GAART_COD: string;
        DESCRIP: string;
        UBIC_SN: 'S' | 'N';
        LOTES_SN: 'S' | 'N';
        GAUNITIP_COD: string;
    }>;
    CambioCantidad(): Promise<void>;
    ObtenerDatosCambioUbicacion(): Promise<{
        GAMOVTIP: TipoMovimiento[];
        GAALMNOM_ORI: string;
        GAALMNOM_DES: string;
        GAALMNOM_DES_UNICO: boolean;
        MOSTRAR_LOTE_DES: boolean;
    }>;
    Confirmar(): Promise<boolean>;
    BuscarCodigosAlternativos(v_articulo: string): Promise<string>;
    establecerCantidad(): Promise<boolean>;
}
