import { Boton } from "componentes/boton";
import { Campo } from "componentes/campo";
import { Pantalla } from "componentes/pantalla";
import { SalidasModel } from "Movimientos/modelos/salidas";
import { TipoMovimiento } from "Movimientos/modelos/tipo-movimiento";
import { BloqueOrigen } from "Movimientos/Shared/_BloqueOrigen";
export declare class PantallaSalidas extends Pantalla {
    _botonNuevo: Boton;
    _botonGuardar: Boton;
    _botonEstableceCantidad: Boton;
    _inputArticulo: Campo;
    _inputArticuloDescipcion: Campo;
    _inputCantidad: Campo;
    _bloqueOrigen: BloqueOrigen;
    _model: SalidasModel;
    constructor();
    inicializaBloques(): void;
    inicializaComponentes(): {
        _botonNuevo: import("componentes/boton").DefinicionBoton;
        _botonGuardar: import("componentes/boton").DefinicionBoton;
        _inputArticulo: import("componentes/campo").DefinicionCampo;
        _inputArticuloDescipcion: import("componentes/campo").DefinicionCampo;
        _inputCantidad: import("componentes/campo").DefinicionCampo;
        _botonEstableceCantidad: import("componentes/boton").DefinicionBoton;
    };
    limpiaCampoCantidad(): void;
    Inicializa(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    CambioArticulo(Articulo: string): Promise<void>;
    ValidarArticulo(Articulo: any): Promise<{
        GAART_COD: string;
        DESCRIP: string;
        UBIC_SN: 'S' | 'N';
        LOTES_SN: 'S' | 'N';
        GAUNITIP_COD: string;
    }>;
    CambioCantidad(): Promise<void>;
    ObtenerDatosSalidas(): Promise<{
        GAMOVTIP: TipoMovimiento[];
        GAALMNOM_ORI: string;
    }>;
    Confirmar(): Promise<boolean>;
    BuscarCodigosAlternativos(Articulo: string): Promise<string>;
    establecerCantidad(): Promise<boolean>;
}
