import { Pantalla } from 'componentes/pantalla';
import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { CamposPesaje } from 'modelos/estructura-pesaje';
export declare class PantallaPesaje extends Pantalla {
    _btnReset: Boton;
    _btnConfirm: Boton;
    _txtArtRef: Campo;
    _txtArtDescrip: Campo;
    _txtPeso: Campo;
    _txtPesoNuevo: Campo;
    _camposPesaje: CamposPesaje;
    constructor();
    inicializa(): void;
    inicializaComponentes(): {
        _btnReset: import("componentes/boton").DefinicionBoton;
        _btnConfirm: import("componentes/boton").DefinicionBoton;
        _txtArtRef: import("componentes/campo").DefinicionCampo;
        _txtArtDescrip: import("componentes/campo").DefinicionCampo;
        _txtPeso: import("componentes/campo").DefinicionCampo;
        _txtPesoNuevo: import("componentes/campo").DefinicionCampo;
    };
    asociaComponentes(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    obtenerArticulo(): Promise<void>;
    confirmar(): Promise<void>;
}
