import { Tabla } from 'componentes/tabla';
import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { Bloque } from 'componentes/bloque';
import { Existencias } from 'Recepcion/modelos/existencias';
import { LotesUbicacionesModel, LotesUbicacionesPantallaModel, DetallesLineaPreparada } from 'Recepcion/dialogos/modelos/dialogo-lotes-ubicaciones-modelo';
import { Modal } from 'componentes/modal';
type CampoUbicacion = {
    nuevoValor: string;
    valorAnterior: string;
    valorHaCambiado: boolean;
};
export declare class DialogoLotesUbicaciones {
    protected _inputGaartCod: Campo;
    protected _inputGaartDescrip: Campo;
    protected _inputPendiente: Campo;
    protected _tabla: Tabla<Existencias>;
    protected bloqueEdicion: Bloque;
    protected _inputGaubicCod: Campo;
    protected _inputLote: Campo;
    protected _inputCantidad: Campo;
    protected _botonAceptar: Boton;
    protected _modelo: LotesUbicacionesPantallaModel;
    protected _modal: Modal;
    protected _lineaPreparada: DetallesLineaPreparada;
    constructor(init: LotesUbicacionesModel);
    ConfiguraPantalla(): void;
    validarUbicacionesAlmacen(gaubic_cod: CampoUbicacion): Promise<boolean>;
    gestionFoco(): void;
    puedeAceptar(): boolean;
    insertaOActualizaLinea(pGaubicCod: any, pLote: any, pCantidad: any): Promise<boolean>;
    actualizaVista(): void;
    actualizaModelo(): void;
    acepta(): Promise<void>;
}
export {};
