type MetodoHttp = 'get' | 'post' | 'put' | 'delete';
type Loguea = () => Promise<string>;
declare class Api {
    private _url;
    private _metodo?;
    private _parametros?;
    private _ok?;
    private _error?;
    private _loguea?;
    constructor(_url: string, _metodo?: MetodoHttp, _parametros?: any, _ok?: (p_resultado: any, p_mensaje: string) => void, _error?: (p_mensaje: string, p_resultado: any) => void, _loguea?: Loguea);
    url(p_url: string): Api | ((p_url: string) => Api | any);
    metodo(p_metodo: MetodoHttp): Api;
    metodo(): MetodoHttp;
    parametros(p_parametros: any): Api;
    parametros(): any;
    ok(p_funcion: (p_resultado: any, p_mensaje: string) => void): Api;
    error(p_funcion: (p_mensaje: string, p_resultado: any) => void): Api;
    loguea(p_funcion?: Loguea): Api;
    invoca(): Promise<any>;
}
export declare function api(p_url: string): Api;
export {};
