import { Modal } from 'componentes/modal';
import { ComponenteHTML } from 'componentes/componente-html';
export declare class DefinicionDialogo extends ComponenteHTML {
    private _valores;
    constructor(_valores: {
        titulo: string;
        cancelable: boolean;
        plantilla?: any;
        elemento?: HTMLElement;
        construye: (p_modal: any) => any;
        estilos: {
            [nombre: string]: string;
        };
    });
    titulo(p_titulo: string): DefinicionDialogo;
    cancelable(p_cancelable: boolean): DefinicionDialogo;
    plantilla(p_plantilla?: any): DefinicionDialogo;
    elemento(p_elemento?: HTMLElement): DefinicionDialogo;
    construye(p_construye: (p_modal: Modal) => any): DefinicionDialogo;
    estilos(p_estilos: {
        [nombre: string]: string;
    }): DefinicionDialogo;
    abre(): Promise<unknown>;
}
export declare function dialogo(): DefinicionDialogo;
