import { ComponenteHTML } from 'componentes/componente-html';
type Color = 'verde' | 'rojo' | 'azul' | 'amarillo' | 'naranja' | 'gris';
export declare class DefinicionLabel extends ComponenteHTML {
    private _valores;
    constructor(_elemento: HTMLElement, _valores: {
        texto?: string;
        valor?: string;
        color?: Color;
    });
    texto(p_valor: string): DefinicionLabel;
    valor(p_valor: string): DefinicionLabel;
    color(p_color: Color): DefinicionLabel;
    crea(): Label;
}
export declare class Label extends ComponenteHTML {
    private _valores;
    constructor(_elemento: HTMLElement, _valores: {
        texto?: string;
        valor?: string;
        color?: Color;
    });
    texto(p_valor: string): string;
    valor(p_valor: string): string;
    color(p_color: Color): string;
    visible(p_valor: boolean): boolean;
}
export declare function label(p_elemento: HTMLElement | string): DefinicionLabel;
export {};
