import { Modal } from 'componentes/modal';
import { Albaran } from 'expedicion/modelos/expedicion-tipos';
export type SeleccionAlbaran = 'nuevo' | {
    GGALBTIP_COD: string;
    N_ALBARAN: string;
    F_ALBARAN: string;
};
export declare class DialogoSeleccionAlbaran {
    private modal;
    private lecturaAlbaran;
    private albaranes;
    private ggalbtip_cod;
    private n_albaran;
    private f_albaran;
    private _inputAlbaran;
    private _tabla;
    private _botonNuevo;
    private _botonSeleccionar;
    constructor(p_modal: Modal, p_albaranes: Albaran[]);
    actualizaVista(): void;
    actualizaModelo(): void;
    validaAlbaran(p_valor: any): Promise<void>;
    nuevo(): void;
    seleccionar(): void;
}
