define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.interpola = void 0;
    function interpola(p_plantilla, ...p_valores) {
        let v_valores = p_valores;
        if (v_valores.length) {
            const v_tipoPrimerValor = typeof v_valores[0];
            v_valores = (v_tipoPrimerValor === 'string' || v_tipoPrimerValor === 'number') ? Array.prototype.slice.call(v_valores) : v_valores[0];
            for (let v_clave in v_valores)
                p_plantilla = p_plantilla.replace(new RegExp("\\{" + v_clave + "\\}", "gi"), v_valores[v_clave]);
        }
        return p_plantilla;
    }
    exports.interpola = interpola;
});
