﻿
$(document).ready(function () {
    //var t = $('#User, #Password, #db');
    //t.on('keypress', function (e) {
    //    if (e.which === 13) {
    //        $('#btnConnect').click();
    //    }
    //});
    $('#btnConnect').on('click', function () {
        var href = v_apiBaseUrl + "login";
        var user = $('#User').val();
        var pass = $('#Password').val();
        var db = $('#db').val();
        var parameters = "=" + user + "/" + pass + "@" + db;
        $.ajax({
            url: href,
            beforeSend: startLoading,
            cache: false,
            complete: completedLoading,
            type: 'POST',
            data: parameters,
            headers: {
                app: "RF"
            },
            dataType: 'json',
            contentType: 'application/x-www-form-urlencoded; charset=utf-8',            
            success: function (response, status, xhr) {
                if (response.Ok) {
                    sessionStorage.setItem("token", response.Objeto);
                    sessionStorage.setItem("user", user);
                    sessionStorage.setItem("pass", pass);
                    sessionStorage.setItem("db", db);
                    localStorage.setItem("token", response.Objeto);
                    $('#token').val(response.Objeto);
                    $('#loginForm').submit();
                } else {
                    handleResponse(response);
                }
            }, 
            error: function (xhr, status, error) {
                if (xhr.status === 0) {
                    error = "Ha ocurrido un error en la conexión.";
                }
                lanzarMensaje(false, error);
            }
        });
    });
});

function reLog(apiFunction) {
    var v_user = sessionStorage.getItem("user");
    var v_pass = sessionStorage.getItem("pass");
    var v_db = sessionStorage.getItem("db");
    var v_parameters = "=" + v_user + "/" + v_pass + "@" + v_db;

    var v_href = v_apiBaseUrl + "login";

    $.ajax({
        url: v_href,
        cache: false,
        type: 'POST',
        data: v_parameters,
        dataType: 'json',
        contentType: 'application/x-www-form-urlencoded; charset=utf-8',
        success: function (response, status, xhr) {
            if (response.Ok) {
                sessionStorage.setItem("token", response.Objeto);
                apiFunction();
            } else {
                validationError(response.Mensaje);
            }
        },
        error: function (xhr, status, error) {
            if (xhr.status === 401) {
                //window.location.href = Router.action('Login', 'Logout');
                window.location.href = 'Login/Logout';
            }
        }
    });
}