﻿function selectUbicacion() {
    dialogOpening = false;

    var v_table = $('#tablaUbicaciones').DataTable();

    var txtCant = $('#txtCant');
    var txtLote = $('#txtLote');
    var txtUbic = $('#txtUbic');
    var btnAccept = document.getElementById('aceptar');

    addEvent(btnAccept, 'click', function () { ubicacion(); confirmarUbicaciones(); }, false);

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //txtUbic.keypress(function (e) {
    //    if (e.which === 13 && $(this).val() !== "") {
    txtUbic.on("change", function (e) {
        if ($(this).val() !== "") {
            getUbic();
            setTimeout(function () {
                focusCant();
                focusLote();
            });
            e.preventDefault();
        }
    });

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //txtLote.keypress(function (e) {
    //    if (e.which === 13 && $(this).val() !== "") {
    txtLote.on("change", function (e) {
        if ($(this).val() !== "") {
            getLote();
            focusCant();
            e.preventDefault();
        }
    });

    function getUbic() {
        var arrayBusqueda = [];
        arrayBusqueda.push({ KEY: 'GAUBIC_COD', VALUE: $('#txtUbic').val() });
        var existeFila = seleccionFila("#tablaUbicaciones", arrayBusqueda);
        if (v_control_lote_ubic === 'NS') {
            if (existeFila) $('#tablaUbicaciones .selected').click();
        } else {
            setUbicLote();
        }
    }

    function getLote() {
        var arrayBusqueda = [];
        if (v_control_lote_ubic === 'SN') {
            arrayBusqueda.push({ KEY: 'LOTE', VALUE: $('#txtLote').val() });
        } else {
            arrayBusqueda.push({ KEY: 'GAUBIC_COD', VALUE: $('#txtUbic').val() }, { KEY: 'LOTE', VALUE: $('#txtLote').val() });
        }
        var existeFila = seleccionFila("#tablaUbicaciones", arrayBusqueda);
        if (existeFila) $('#tablaUbicaciones .selected').click();
    }

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //txtCant.keypress(function (e) {
    //    if (e.which === 13) {
    txtCant.on("change", function (e) {
        {
            if ($(this).val()) ubicacion();
        }
    });

    if (v_control_lote_ubic === 'SN') {
        $('#campUbicacion').hide();
        $('#campLote').removeClass('col-xs-5');
        $('#campLote').addClass('col-xs-7');
        $('#campCant').removeClass('col-xs-3');
        $('#campCant').addClass('col-xs-5');
    } else if (v_control_lote_ubic === 'NS') {
        $('#campLote').hide();
        $('#campUbicacion').removeClass('col-xs-4');
        $('#campUbicacion').addClass('col-xs-7');
        $('#campCant').removeClass('col-xs-3');
        $('#campCant').addClass('col-xs-5');
    }

    $("#txtPdte").val(v_cant_linea);

    $('#tablaUbicaciones').on("click", "tr", function () {
        if (v_table.rows().count() !== 0) {
            focusCant();
            $('#txtUbic').val(v_table.rows($(this)).data()[0].GAUBIC_COD);
            $('#txtLote').val(v_table.rows($(this)).data()[0].LOTE);

            var pendiente = v_table.row($(this)).data().C_UNI1;
            var cantidadAServir = $('#txtPdte').val();
            var cant = setOptimumQty(pendiente, cantidadAServir);
            $('#txtCant').val(cant);
        }
    });
    function confirmarUbicaciones() {
        if (v_pedidoActual_cant !== 0) {
            lanzarVentanaBultos();
        }
    }

    $('#dialogPedidos').on('shown.bs.modal', function () {
        code();
    });

    $('#dialogMessage').on('hidden.bs.modal', function () {
        $(btnAccept).prop('disabled', false);
        resetFocus();
    });

    $('#dialogLoV .close').on("click", function () {
        restartData();
    });

    resetFocus();

    function setUbicLote() {
        if (v_table.rows('.selected').count() !== 0) {
            $('#txtUbic').val(v_table.row('.selected').data().GAUBIC_COD);
            $('#txtLote').val(v_table.row('.selected').data().LOTE);
        }
    }
}
function resetFocus() {
    focusLote();
    focusUbic();
}
function focusUbic() {
    $('#txtUbic').focus().select();
}

function focusLote() {
    $('#txtLote').focus().select();
}

function focusCant() {
    $('#txtCant').focus().select();
}
function clickOnSelected() {
    if ($("#tablaUbicaciones").DataTable().rows().count !== 0) {
        $('#tablaUbicaciones .selected').click();
    }
}

$(window).resize(function () {
    cambioTamanioPed();
});

function ubicacion() {
    var cantidad = $('#txtCant').val();
    if ($.isNumeric(cantidad)) {
        cantidad = eval(cantidad);
        if ($('#tablaUbicaciones').DataTable().rows('.selected').data().length > 0) {
            var disponible = eval($('#tablaUbicaciones').DataTable().rows('.selected').data()[0].C_UNI1);
            var pdte = $('#txtPdte').val();
            var table = $("#tablaUbicaciones").DataTable();
            modCantidades(disponible, eval(cantidad), pdte, table);
            $('#txtCant').val("");
            $('#txtLote').focus();
            $('#txtUbic').focus();
            return true;
        } else {
            $('#txtCant').val("");
            resetFocus();
            $('#aceptar').prop('disabled', true);
            lanzarMensaje(false, Resources.error_batch_not_found, focusCant);
            return false;
        }
    }
    return false;
}

function modCantidades(disponible, cantidad, pdte, table, ubic, lote) {
    disponible = disponible - cantidad;
    pdte = pdte - cantidad;

    var encontrado = false;
    for (i = 0; i < v_dataClon.Lineas.length && !encontrado; i++) {
        if (getId(v_dataClon.Lineas[i]) === v_posicion_pedido) {
            v_dataClon.Lineas[i].C_PDTE = pdte;
            encontrado = true;
        }
    }
    $('#txtPdte').val(pdte);
    $('#txtCant').val("");
    if (table) {
        table.cell('.selected td:eq(2)').data(disponible);
        ubic = table.rows('.selected').data()[0].GAUBIC_COD;
        lote = table.rows('.selected').data()[0].LOTE;
    }
    var datos = $('#tablaPedidos').DataTable().rows('#' + v_posicion_pedido).data()[0];
    prod = new Array();
    prod = {
        GGPEDTIP_COD: datos.GGPEDTIP_COD,
        N_PEDIDO: datos.N_PEDIDO,
        N_LIN: eval(datos.N_LIN),
        GAUBIC_COD: ubic,
        LOTE: lote,
        C_UNI1: cantidad
    };
    detallesProd.push(prod);
    v_pedidoActual_cant = v_pedidoActual_cant + cantidad;
}


function lanzarVentanaBultos(dialogName) {
    if (data.BultosPorLinea) {
        //var url = Router.action('Dialog', 'Dialog');
        var url = "Dialog/Dialog";
        dialog = "#dialogPedidos2";
        if (dialogName === "#dialogLoV") {
            dialog = dialogName;
        }
        var buttons = [generateSingleButton('bultoDetail', Resources.button_details), generateSingleButton('bultoNuevo', Resources.button_new), generateSingleButton('bultoNing', Resources.button_none), generateSingleButton('bultoSelec', Resources.button_select_shrt)];
        var v_columnas = [
            { "mDataProp": "N_BULTO", name: Resources.table_head_bulto },
            { "mDataProp": "v_tipoBulto", name: Resources.table_head_description },
            { "mDataProp": "v_cantidad", name: Resources.table_head_quantity }
        ];

        var columnDefs = [
            { width: "2em", target: 0 },
            { width: "4em", target: 2 }
        ];
        var innerDialogs = ['dialogBultoDetail', 'dialogBultoNuevo'];
        generarDialogAuto(url, dialog, 'tablaBultos', null, bulto, v_columnas, buttons, null, null, funcionesBultos, Resources.title_packages, innerDialogs, null, null, null, null, null, columnDefs);
    } else {
        sinBulto();
    }

}

function lanzarVentanaBultosDetail() {
    //var url = Router.action('Dialog', 'Dialog');
    var url = "Dialog/Dialog";
    var buttons = [generateSingleButton('bultoDetailMenu', Resources.button_details, "pull-left"), generateSingleButton('closeDetailMenu', Resources.close)];
    var v_columnas = [
        { "mDataProp": "N_BULTO", name: Resources.table_head_bulto },
        { "mDataProp": "v_tipoBulto", name: Resources.table_head_description },
        { "mDataProp": "v_cantidad", name: Resources.table_head_quantity }
    ];
    var columnDefs = [
        { width: "2em", target: 0 },
        { width: "4em", target: 2 }
    ];
    var innerDialogs = ['dialogBultoDetailMenu'];
    generarDialogAuto(url, "#dialogLoV", 'tablaBultosDetail', null, bulto, v_columnas, buttons, null, null, funcionesBultosDetail, Resources.title_packages, innerDialogs, null, null, null, null, null, columnDefs);
}

function code() {
    if (typeof v_code !== 'undefined' && v_code !== "" && v_code.obtenerIdentificadores.length > 0) {
        for (i = 0; i < v_code.obtenerIdentificadores.length; i++) {
            if (v_code.obtenerIdentificadores[i].ia === 10) {
                $('#txtUbic').val("");
                $('#txtLote').val(v_code.obtenerIdentificadores[i].valor);
                $('#txtLote').trigger(jQuery.Event('keypress', { which: 13 }));
            }
            if (v_code.obtenerIdentificadores[i].ia === 37) {
                $('#txtCant').val(v_code.obtenerIdentificadores[i].valor);
            }
        }
        $('#detallesUbicacion .selected').click();
        v_code = "";
    }
}