﻿$(document).ready(function () {
    // Fieldsets
    var operarioFieldset = $('#operarioFieldset');
    var boxFieldset = $('#boxFieldset');
    // Inputs
    var txtOperario = document.getElementById('txtOperarioCod');
    var txtOperarioDescrip = document.getElementById('txtOperarioDescrip');
    var txtArticuloCod = document.getElementById('txtArticuloCod');
    var txtArticuloDescrip = document.getElementById('txtArticuloDescrip');
    var txtPeso = document.getElementById('txtPeso');
    var txtExistencias = document.getElementById('txtExistencias');
    var txtUbicacion = document.getElementById('txtUbicacion');
    var txtLote = document.getElementById('txtLote');
    var txtBoxCod = document.getElementById('txtBoxCod');
    var txtBoxDescrip = document.getElementById('txtBoxDescrip');
    var txtBoxPeso = document.getElementById('txtBoxPeso');
    var txtExistenciasTotales = document.getElementById('txtExistenciasTotales');
    var txtPesoArticulo = document.getElementById('txtPesoArticulo');
    var txtPesoUbicacion = document.getElementById('txtPesoUbicacion');
    var txtPiezas = document.getElementById('txtPiezas');

    var lblLote = document.getElementById('lblLote');
    var lblUbicacion = document.getElementById('lblUbicacion');

    // Botones
    var btnUbicacion = document.getElementById('btnUbicacion');
    var btnLote = document.getElementById('btnLote');
    var btnNuevo = document.getElementById('btnNuevo');
    var btnConfirmar = document.getElementById('btnConfirmar');
    var btnOperarioSearch = document.getElementById('btnOperarios');
    // Eventos
    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(txtOperario).blur(function () { verificaOperario(); });
    //$(txtArticuloCod).keypress(function (e) { if (e.which === 13) obtenerArticulo(); });
    //$(txtBoxCod).blur(function () { obtenerBox(); });
    $(txtOperario).on("change", function () { verificaOperario(); });
    $(txtArticuloCod).on("change", function (e) { obtenerArticulo(); });
    $(txtBoxCod).on("change", function () { obtenerBox(); });

    // TODO introducirTaraManual, obtenerOperario
    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(txtBoxPeso).blur(function () { /*introducirTaraManual();*/ updatePieces(); });
    //$(txtPesoUbicacion).blur(function () {/*updateUbicWeigth();*/ updatePieces(); });
    //$(txtPesoArticulo).blur(function () { actualizarPesoArticulo(); });
    //$(txtPesoArticulo).keyup(function (e) { if (e.which === 13) $(txtPesoUbicacion).focus().select(); });
    //$(txtUbicacion).keypress(function (e) { if (e.which === 13) { validarUbicacion(txtUbicacion); }});
    //$(txtLote).keypress(function (e) { if (e.which === 13) { validarUbicacion(txtLote); } });
    $(txtBoxPeso).on("change", function () { /*introducirTaraManual();*/ updatePieces(); });
    $(txtPesoUbicacion).on("change", function () {/*updateUbicWeigth();*/ updatePieces(); });
    $(txtPesoArticulo).on("change", function () { actualizarPesoArticulo(); });
    $(txtPesoArticulo).on("change", function (e) { $(txtPesoUbicacion).focus().select(); });
    $(txtUbicacion).on("change", function (e) { validarUbicacion(txtUbicacion); });
    $(txtLote).change("change", function (e) { validarUbicacion(txtLote); });

    // Click
    addEvent(btnOperarioSearch, 'click', dameOperarios, false);
    addEvent(btnUbicacion, 'click', obtenerUbicaciones, false);
    addEvent(btnLote, 'click', obtenerUbicaciones, false);
    addEvent(btnConfirmar, 'click', confirmarInventario, false);
    addEvent(btnNuevo, 'click', clearAll, false);




    // TODO
    //$(txtExistenciasTotales).keypress(function (e) { if (e.which == 13) obtenerOperario });
    // $(txtPiezas).keypress(function () { obtenerOperario() });
    //addEvent(txtLote, 'blur', validarLote, false);

    initialize();

    var config = {
        GAALMNOM_COD: '',
        GAALMNOM_DESCRIP: '',
        UBIC_SN: 'S',
        LOTES_SN: 'S',
        PesoArticulo: 0,
        GPOPER_COD: '',
        GPOPER_NOMBRE: '',
        Peso: 0,
        Nuevo_peso: 0,
        Peso_ubic: 0,
        GVPALLETIP_DEF: "",
        GVPALLETIP_DEF_PESO: ""
    };

    function initialize() {
        var url = "inventario/iniciaPorPeso";
        var method = "GET";
        var data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD")
        };
        var success = function (response) {
            var Ok = function () {
                var obj = response.Objeto;

                menuElement('Almacén', 'fecha', '#', obj.GAALMNOM_DESCRIP, 'buscador', 'menuAlm');

                $('#menuAlm').on('click', function () {
                    var url = "Inventario/Almacenes";
                    var method = "GET";
                    var data = {
                        empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                        emp_cod: sessionStorage.getItem("EMPR_COD")
                    };
                    var success = function (response) {
                        var Ok = function () {
                            var v_almacenes = response.Objeto.map(function (obj) {
                                return {
                                    GAALMNOM_COD: obj.COD,
                                    GAALMNOM_DESCRIP: obj.DESCRIP
                                };
                            });
                            //var url = Router.action('Dialog', 'Dialog');
                            var url = "Dialog/Dialog";
                            var v_columns = [
                                generateColumn('GAALMNOM_COD', Resources.table_head_code),
                                generateColumn('GAALMNOM_DESCRIP', Resources.table_head_description)
                            ];
                            var columnDefs = [
                                { width: '4em', target: 0 }
                            ];
                            var v_buttons = [generateSingleButton('selectAlm', Resources.button_select, 'pull-right'), generateSingleButton('cancelAlm', Resources.button_cancel, 'pull-left')];

                            generarDialogAuto(url, "#dialogLoV", 'tablaAlmacenes', null, v_almacenes, v_columns, v_buttons, null, null, selectAlmacen, Resources.title_delivery_note_selection, null, null, null, null, null, null, columnDefs, true);

                        };
                        handleResponse(response, Ok);
                    };
                    apiGeneral(url, method, data, success);

                });

                updateAlmacen(obj);

                obj.OPERARIO_SN === 'S' ? showOperarios() : operarioFieldset.hide();
                if (obj.GVPALLETIP_MOSTRAR_SN === 'N') {
                    boxFieldset.hide();
                } else {
                    boxFieldset.show();
                }

                $(txtBoxCod).val(config.GVPALLETIP_DEF = obj.GVPALLETIP_DEF);
                $(txtBoxPeso).val(config.GVPALLETIP_DEF_PESO = obj.GVPALLETIP_DEF_PESO);

            };
            handleResponse(response, Ok);
        };
        apiGeneral(url, method, data, success);
    }

    function showOperarios() {
        operarioFieldset.show();
        $(txtOperario).focus().select();
    }

    function selectAlmacen() {
        var regToSearch = [{ KEY: "GAALMNOM_COD", VALUE: config.GAALMNOM_COD }];
        seleccionFila("#tablaAlmacenes", regToSearch);
        $('#selectAlm').on("click", function () {
            updateAlmacen($('#tablaAlmacenes').DataTable().row('.selected').data());
            var menuCloser = $('#close-menu');
            menuCloser.click();
            $(txtArticuloCod).focus().select();
            closeModal('#dialogLoV');
        });

        $('#cancelAlm').on("click", function () {
            closeModal('#dialogLoV');
        });
    }
    function verificaOperario() {
        if ($(txtOperario).val().trim() !== "") {
            var url = "Inventario/Operario";
            var method = "GET";
            var data = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                gpoper_cod: $(txtOperario).val()
            };
            var success = function (response) {
                if (response.Ok) {
                    config.GPOPER_COD = $(txtOperario).val();
                    config.GPOPER_NOMBRE = response.Objeto.NOMBRE;

                    $(txtOperarioDescrip).val(config.GPOPER_NOMBRE);
                } else {
                    lanzarMensaje(false, response.Mensaje, function () { $(txtOperario).focus().select(); });
                }
            };
            apiGeneral(url, method, data, success);
        }
    }

    function dameOperarios() {
        var url = "Inventario/Operarios";
        var method = "GET";
        var data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD")
        };
        var success = function (response) {
            if (response.Ok) {
                //var url = Router.action('Dialog', 'Dialog');
                var url = "Dialog/Dialog";
                var columns = [
                    generateColumn('COD', Resources.table_head_code),
                    generateColumn('NOMBRE', Resources.table_head_name)
                ];
                var columnDefs = [
                    { width: '6em', target: 0 }
                ];
                var buttons = [generateSingleButton('aceptar', Resources.button_accept), generateSingleButton('cerrar', Resources.button_cancel, 'pull-left')];

                generarDialogAuto(url, "#dialogLoV", "tablaOperarios", null, response.Objeto, columns, buttons, null, null, recogeOperarios, "Lista de Operarios", null, null, null, null, null, null, columnDefs, true);
            } else {
                lanzarMensaje(false, response.Mensaje);
            }
        };
        apiGeneral(url, method, data, success);
    }

    function recogeOperarios() {
        var btnAccept = document.getElementById('aceptar');
        addEvent(btnAccept, 'click', recogeOperario);

        var btnCancel = document.getElementById('cancelar');
        $(btnCancel).on('click', function () { closeModal('#dialogLoV'); });

        var table = $('#tablaOperarios').DataTable();

        function recogeOperario() {
            if (table.rows().data().length !== 0) {
                config.GPOPER_COD = table.rows('.selected').data()[0].COD;
                config.GPOPER_NOMBRE = table.rows('.selected').data()[0].NOMBRE;

                $(txtOperario).val(config.GPOPER_COD);
                $(txtOperarioDescrip).val(config.GPOPER_NOMBRE);
            }
            closeModal('#dialogLoV');
        }
    }

    function obtenerArticulo() {
        if ($(txtArticuloCod).val().trim() !== "") {
            var url = "inventario/ArticuloPorPeso";
            var method = 'GET';
            var data = {
                GAALMNOM_COD: config.GAALMNOM_COD,
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                GAART_COD: $(txtArticuloCod).val()
            };
            var success = function (response) {
                var Ok = function () {
                    clear();

                    $(txtArticuloCod).val(response.Objeto.GAART_COD);
                    $(txtArticuloDescrip).val(response.Objeto.GAART_DESCRIP);
                    $(txtPeso).val(response.Objeto.PESO);
                    $(txtPesoArticulo).val(response.Objeto.PESO);
                    config.PesoArticulo = response.Objeto.PESO;
                    $(txtExistenciasTotales).val(response.Objeto.C_EXIST1_ART);
                    $(txtUbicacion).val(response.Objeto.GAUBIC_COD);
                    $(txtLote).val(response.Objeto.LOTE);
                    control(response.Objeto);
                };
                var error = function () {
                    $(txtArticuloCod).focus();
                };

                handleResponse(response, Ok, error);
            };
            apiGeneral(url, method, data, success);
        }
    }

    function control(obj) {
        config.UBIC_SN = obj.UBIC_SN;
        config.LOTES_SN = obj.LOTES_SN;
        if (obj.UBIC_SN === 'S') {
            $(txtUbicacion).prop('disabled', false);
            $(btnUbicacion).show();
            $(lblUbicacion).hide();
        } else {
            $(txtUbicacion).prop('disabled', true);
            $(btnUbicacion).hide();
            $(lblUbicacion).show();
        }

        if (obj.LOTES_SN === 'S') {
            $(txtLote).prop('disabled', false);
            if (obj.UBIC_SN === 'N') {
                $(btnLote).show();
                $(lblLote).hide();
            }
        } else {
            $(txtLote).prop('disabled', true);
            $(btnLote).hide();
            $(lblLote).show();
        }

        if (obj.LOTES_SN === obj.UBIC_SN && obj.UBIC_SN === 'N') {
            $(txtExistencias).val(obj.C_EXIST1_ART);
            $(txtPesoUbicacion).focus();
            $(txtBoxCod).focus();
        }
    }

    function validarUbicacion(element) {
        if ($(element).val() !== '') {
            var url = "Inventario/Ubicacion";
            var method = 'GET';
            var data = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                GAUBIC_COD: $(txtUbicacion).val(),
                GAART_COD: $(txtArticuloCod).val(),
                LOTE: $(txtLote).val(),
                GAALMNOM_COD: config.GAALMNOM_COD
            };
            var success = function (response) {
                var Ok = function () {
                    if (response.Objeto.GAUBIC_COD && response.Objeto.LOTE && response.Objeto.C_UNID1) {
                        $(txtUbicacion).val(response.Objeto.GAUBIC_COD);
                        $(txtLote).val(response.Objeto.LOTE);
                        $(txtExistencias).val(response.Objeto.C_UNID1);
                        $(txtPesoArticulo).focus();
                        $(txtBoxCod).focus();
                    } else {
                        $(txtExistencias).val(0);

                        if (response.Objeto.GAUBIC_COD)
                            $(txtUbicacion).val(response.Objeto.GAUBIC_COD);
                        if (response.Objeto.LOTE)
                            $(txtLote).val(response.Objeto.LOTE);
                        if (response.Objeto.C_UNID1)
                            $(txtExistencias).val(response.Objeto.C_UNID1);
                    }
                };
                var error = function () {
                    $(txtLote).val("");
                    $(txtCant).val("");
                    $(element).focus();
                };
                handleResponse(response, Ok, error);
            };
            apiGeneral(url, method, data, success);
        }
    }

    function lanzarDialogUbicaciones(data) {
        //var url = Router.action('Dialog', 'Dialog');
        var url = "Dialog/Dialog";
        var dialog = "#dialogLoV";
        var tableName = "tablaUbicaciones";
        var campSup = [
            generateSingleInput(6, 'Refer.', 'lblRef', $(txtArticuloCod).val(), "", 'disabled'),
            generateSingleInput(6, 'Descrip.', 'txtDialogDescrip', $(txtArticuloDescrip).val(), "", 'disabled')
        ];
        var inputs = [
            generateSingleInput(7, 'Lote', 'txtDialogLote', '', ''),
            generateSingleInput(5, 'Ubicacion', 'txtDialogUbicacion', '', ''),
            generateSingleInput(5, 'Exist.', 'txtDialogExistencias', '', '')
        ];

        // TODO : Ocultar columnas cuando no haya control de lotes/ubicaciones
        ubic = config.UBIC_SN === 'S' ? true : false;
        lot = config.LOTES_SN === 'S' ? true : false;
        var columns = [
            generateColumn('GAUBIC_COD', 'Ubicacion', ubic),
            generateColumn('LOTE', 'Lote', lot),
            generateColumn('C_UNID1', 'Exist.', true, true)
        ];

        var columnDefs = [
            { width: '6em', target: 0 },
            { width: '4em', target: 2 }
        ];
        var buttons = [
            //generateSingleButton('btnDialogNewUbic', 'Nueva Ubic.', 'pull-left'),
            generateSingleButton('btnDialogAccept', 'Aceptar', 'pull-right')
        ];
        function funcionesUbicacion() {
            var btnDialogAccept = document.getElementById('btnDialogAccept');
            //var btnDialogNewUbic = document.getElementById('btnDialogNewUbic');
            var txtDialogUbicacion = $('#txtDialogUbicacion');
            var txtDialogLote = $('#txtDialogLote');
            var txtDialogExistencias = $('#txtDialogExistencias');

            txtDialogUbicacion.prop('disabled', true);
            txtDialogLote.prop('disabled', true);
            txtDialogExistencias.prop('disabled', true);

            var dataTable = $('#tablaUbicaciones').DataTable();
            var acceptUbication = function () {
                if (dataTable.rows().length > 0) {
                    var GAUBIC_COD = $(txtDialogUbicacion).val();
                    var LOTE = $(txtDialogLote).val();
                    var C_UNID1 = $(txtDialogExistencias).val();

                    $(txtUbicacion).val(GAUBIC_COD);
                    $(txtLote).val(LOTE);
                    $(txtExistencias).val(C_UNID1);
                    $(txtPesoUbicacion).focus().select();
                    $(txtBoxCod).focus().select();
                }
                closeModal(dialog);
            };
            $('#tablaUbicaciones tbody').on('click', function (e) {
                if (dataTable.rows().length > 0) {
                    var row = $(e.target).closest('tr');
                    var GAUBIC_COD = dataTable.row(row).data().GAUBIC_COD;
                    var LOTE = dataTable.row(row).data().LOTE;
                    var C_UNID1 = dataTable.row(row).data().C_UNID1;
                    $(txtDialogLote).val(LOTE);
                    $(txtDialogUbicacion).val(GAUBIC_COD);
                    $(txtDialogExistencias).val(C_UNID1);
                }
            });

            addEvent(btnDialogAccept, 'click', acceptUbication, false);

            txtDialogUbicacion.keypress(function (e) { if (e.which === 13) { seleccionFila("#" + tableName, [{ KEY: 'GAUBIC_COD', VALUE: txtDialogUbicacion.val() }]); } });
        }
        var title = ubic ? 'Ubicaciones' : 'Lotes';
        generarDialogAuto(url, dialog, tableName, null, data, columns, buttons, inputs, campSup, funcionesUbicacion, title, null, null, null, null, null, null, columnDefs, false);
    }

    function lanzarDialogLotes(lotes) {
        //var url = Router.action('Dialog', 'Dialog');
        var url = "Dialog/Dialog";
        var dialog = "#dialogLoV";
        var tableName = "tablaLotes";
        var campSup = [
            generateSingleInput(6, 'Refer.', 'lblRef', $(txtArticuloCod).val()),
            generateSingleInput(6, 'Descrip.', 'txtDialogDescrip', $(txtArticuloDescrip).val())
        ];
        var inputs = [
            generateSingleInput(5, 'Lote', 'txtDialogLote', '', '')
        ];
        var columns = [
            generateColumn('LOTE', 'Lote'),
            generateColumn('C_UNI1', 'Cantidad KG.', true, true)
        ];

        var columnDefs = [
            { width: '4em', target: 1 }
        ];

        var buttons = [
            generateSingleButton('btnDialogAccept', 'Aceptar', 'pull-right')
        ];
        function funcionesLote() {
            var btnDialogAccept = document.getElementById('btnDialogAccept');

            var txtDialogLote = $('#txtDialogLote');

            var dataTable = $('#tablaLotes').DataTable();
            var acceptLote = function () {
                if (dataTable.rows().length > 0) {
                    var LOTE = $(txtDialogLote).val();
                    $(txtLote).val(LOTE);
                }
                closeModal(dialog);
            };

            $('#tablaLotes tbody').on('click', function (e) {
                if (dataTable.rows().length > 0) {
                    var row = $(e.target).closest('tr');
                    var LOTE = dataTable.row(row).data().LOTE;
                    $(txtDialogLote).val(LOTE);
                }
            });

            addEvent(btnDialogAccept, 'click', acceptLote, false);
            txtDialogLote.keypress(function (e) {
                if (e.which === 13) {
                    seleccionFila("#" + tableName, [{ KEY: 'LOTE', VALUE: txtDialogLote.val() }]);
                    $(this).focus().select();
                }
            });
        }
        var title = 'Lotes';

        generarDialogAuto(url, dialog, tableName, null, lotes, columns, buttons, inputs, campSup, funcionesLote, title, null, null, null, null, null, null, columnDefs, true);
    }

    function obtenerUbicaciones() {
        var url = "inventario/UbicacionesLotes";
        var method = 'GET';
        var data = {
            GAALMNOM_COD: config.GAALMNOM_COD,
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD"),
            GAART_COD: $(txtArticuloCod).val()
        };
        var success = function (response) {
            var Ok = function () {
                lanzarDialogUbicaciones(response.Objeto);
            };
            var error = function () {
                focus();
            };
            handleResponse(response, Ok, error);
        };
        apiGeneral(url, method, data, success);
    }

    function obtenerBox() {
        if ($(txtBoxCod).val().trim() !== "") {
            var url = "inventario/caja";
            var method = "GET";
            var data = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                gvpalletip_cod: $(txtBoxCod).val()
            };
            var success = function (response) {
                var Ok = function () {
                    var obj = response.Objeto;
                    // $(txtBoxCod).val(obj.GVPALLETIP_COD);
                    $(txtBoxDescrip).val(obj.DESCRIP);
                    if ($(txtBoxCod).val() === "0") {
                        $(txtBoxPeso).prop('disabled', false);
                        $(txtBoxPeso).val(obj.PESO);
                        $(txtBoxPeso).focus();
                    } else {
                        $(txtBoxPeso).prop('disabled', true);
                        $(txtBoxPeso).val(obj.PESO);
                    }
                };
                var error = function () {
                    $(txtBoxCod).val("");
                    $(txtBoxPeso).val("");
                    $(txtBoxDescrip).val("");
                    $(txtBoxPeso).prop('disabled', true);
                    $(txtBoxCod).focus();
                };
                handleResponse(response, Ok, error);
            };
            apiGeneral(url, method, data, success);
        } else {
            $(txtBoxDescrip).val("");
        }
    }

    function confirmarInventario() {
        var url = "inventario/ActualizarRecuentoPorPeso";
        var method = "PUT";
        var data = {
            GAALMNOM_COD: config.GAALMNOM_COD,
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD"),
            GPOPER_COD: $(txtOperario).val(),
            GAART_COD: $(txtArticuloCod).val(),
            GAUBIC_COD: $(txtUbicacion).val(),
            PESO: $(txtPesoArticulo).val(),
            LOTE: $(txtLote).val(),
            C_UNID1: $(txtPiezas).val()
        };
        var success = function (response) {
            if (response.Ok) {
                successMessage(response.Mensaje);
                clearAll();
            };
            var error = function () {
                $(txtArticuloCod).val('').focus().select();
            };
            handleResponse(response, null, error);
        };
        apiGeneral(url, method, data, success);
    }

    function actualizarPesoArticulo() {
        if ($(txtPesoArticulo).val().trim() !== "") {
            updatePieces();

            //var url = "Inventario/Peso";
            //var method = 'PUT';
            //var data = {
            //    "EMPGRUPO_COD": sessionStorage.getItem("EMPRGRUP_COD"),
            //    "EMP_COD": sessionStorage.getItem("EMPR_COD"),
            //    "GAART_COD": $(txtArticuloCod).val(),
            //    "PESO": TryParseFloat($(txtPesoArticulo).val(),0)
            //}
            //var success = function (response) {
            //    if (response.Ok) {
            //        config.PesoArticulo = $(txtPesoArticulo).val();
            //        $(txtPeso).val($(txtPesoArticulo).val());
            //        successMessage(response.Mensaje);
            //        updatePieces();
            //    } else {
            //        lanzarMensaje(false, response.Mensaje);
            //    }
            //}
            //apiGeneral(url, method, data, success);
        }

    }


    function updatePieces() {
        if ($(txtPesoUbicacion).val().trim() !== "" && $(txtPesoArticulo).val().trim() !== "") {
            config.Nuevo_peso = $(txtPesoArticulo).val().trim(),
                config.Peso_ubic = $(txtPesoUbicacion).val().trim();
            var url = "Inventario/ExistenciasPorPeso";
            var method = 'GET';
            var data = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                peso_art: $(txtPesoArticulo).val(),
                peso_cont: $(txtBoxPeso).val(),
                peso_final: $(txtPesoUbicacion).val()
            };
            var success = function (response) {
                var Ok = function () {
                    $(txtPiezas).val(response.Objeto.C_EXIST1);
                };
                handleResponse(response, Ok);
            };
            apiGeneral(url, method, data, success);
        }
    }

    //function existenciasArticulo() {
    //    var url = "Inventario/Existencias";
    //    var method = 'GET';
    //    var data = {
    //        empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
    //        emp_cod: sessionStorage.getItem("EMPR_COD"),
    //        lecturaarticulo: $(txtArticuloCod).val(),
    //        gaubic_cod: $(txtUbicacion).val(),
    //        lote: $(txtLote).val()
    //    };
    //    var success = function (response) {
    //        if (response.Ok) {
    //            $(txtExistencias).val(response.Objeto.C_EXIST1);
    //        } else {
    //            lanzarMensaje(response.Ok, response.Mensaje);
    //        }
    //    }; 

    //    apiGeneral(url, method, data, success);

    //}

    function updateAlmacen(obj) {
        config.GAALMNOM_COD = obj.GAALMNOM_COD;
        config.GAALMNOM_DESCRIP = obj.GAALMNOM_DESCRIP;
        clearAll();
    }


    function clear() {
        $(txtPeso).val('');
        $(txtExistencias).val('');
        $(txtUbicacion).val('');
        $(txtLote).val('');
        $(txtBoxCod).val('');
        $(txtBoxDescrip).val('');
        $(txtBoxPeso).val('');
        $(txtExistenciasTotales).val('');
        $(txtPesoArticulo).val('');
        $(txtPesoUbicacion).val('');
        $(txtPiezas).val('');

        if (config.GVPALLETIP_DEF) {
            $(txtBoxCod).val(config.GVPALLETIP_DEF);
        }
        if (config.GVPALLETIP_DEF_PESO) $(txtBoxPeso).val(config.GVPALLETIP_DEF_PESO);
    }

    function clearAll() {
        $('#menuAlm input').val(config.GAALMNOM_DESCRIP);
        $(txtArticuloCod).val('').focus();
        $(txtArticuloDescrip).val('');
        clear();
    }
});