﻿$(document).ready(function () {
    var btnConfirm = document.getElementById('btnConfirm');
    var btnReset = document.getElementById('btnReset');
    var txtArtRef = document.getElementById('txtArtRef');
    var txtArtDescrip = document.getElementById('txtArtDescrip');
    var txtPeso = document.getElementById('txtPeso');
    var txtPesoNuevo = document.getElementById('txtPesoNuevo');

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(txtArtRef).keydown(function (e) { if (e.which === 13) getArticle(); });
    $(txtArtRef).on("change", function (e) { getArticle(); });
    //$(txtPesoNuevo).keydown(function (e) { if (e.which == 13) confirm() });
    addEvent(btnConfirm, 'click', confirm, false);
    addEvent(btnReset, 'click', reset, false);

    $(txtArtRef).focus().select();

    function getArticle() {
        var GAART_COD = $(txtArtRef).val();
        // TODO
        var url = "Inventario/Peso";
        var method = 'GET';
        var data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD"),
            GAART_COD: GAART_COD
        };
        var success = function (response) {
            var Ok = function () {
                $(txtArtRef).val(response.Objeto.GAART_COD);
                $(txtArtDescrip).val(response.Objeto.GAART_DESCRIP);
                $(txtPeso).val(response.Objeto.PESO);
                $(txtPesoNuevo).val("");
            };
            var error = function () {
                restartFocus();
            };
            handleResponse(response, Ok, error);
        };
        apiGeneral(url, method, data, success);
    }

    function restartFocus() {
        $(txtArtRef).focus().select();
    }

    function confirm() {
        var GAART_COD = $(txtArtRef).val();

        var url = "Inventario/Peso";
        var method = 'PUT';
        var data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD"),
            GAART_COD: GAART_COD,
            PESO: $(txtPesoNuevo).val()
        };
        var success = function (response) {
            if (response.Ok) {
                successMessage(response.Mensaje);
                restartFocus();
                reset();
            } else {
                lanzarMensaje(response.Ok, response.Mensaje, restartFocus);
            }
        };
        apiGeneral(url, method, data, success);
    }

    function reset() {
        $(txtArtRef).val("");
        $(txtArtDescrip).val("");
        $(txtPeso).val("");
        $(txtPesoNuevo).val("");
        restartFocus();
    }
});