define(["require", "exports", "Recepcion/modelos/pedido_linea", "lib/lodash/lodash"], function (require, exports, pedido_linea_1, _) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.LineaPreparada = exports.DetallesLineaPreparada = exports.Detalle = exports.LotesUbicacionesPantallaModel = exports.LotesUbicacionesModel = void 0;
    class LotesUbicacionesModel {
        constructor(init) {
            Object.assign(this, init);
        }
    }
    exports.LotesUbicacionesModel = LotesUbicacionesModel;
    class LotesUbicacionesPantallaModel {
        constructor(init) {
            this.C_PDTE1 = 0;
            this.GAUBIC_COD = null;
            this.LOTE = null;
            this.C_UNI1 = null;
            const clone = _.cloneDeep(init);
            Object.assign(this, clone);
            const clonLinea = _.cloneDeep(this.Linea);
            this.LineaOriginal = new pedido_linea_1.PedidoLinea(clonLinea);
            this.ControlLotes = this.Linea.GAART_LOTES_SN === "S";
            this.ControlUbicaciones = this.Linea.GAART_UBIC_SN === "S";
            if (this.Pedido.MostrarUbicDefDetLotes === 'S') {
                this.GAUBIC_COD = this.Linea.GAUBIC_DEF || null;
                this.LOTE = this.Linea.LOTE_DEF || null;
            }
        }
    }
    exports.LotesUbicacionesPantallaModel = LotesUbicacionesPantallaModel;
    class Detalle {
        constructor(init) {
            this.C_UNI1 = 0;
            this.C_UNI2 = 0;
            const clone = _.cloneDeep(init);
            Object.assign(this, clone);
        }
    }
    exports.Detalle = Detalle;
    class DetallesLineaPreparada {
        constructor(init) {
            this.Detalles = [];
            this.C_PREP = 0;
            const clone = _.cloneDeep(init);
            Object.assign(this, clone);
        }
    }
    exports.DetallesLineaPreparada = DetallesLineaPreparada;
    class LineaPreparada {
        constructor(init) {
            const clone = _.cloneDeep(init);
            Object.assign(this, clone);
        }
    }
    exports.LineaPreparada = LineaPreparada;
});
