define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Albaran = void 0;
    class Albaran {
        constructor(albaran) {
            this.GGALBTIP_COD = null;
            this.N_ALBARAN = null;
            this._F_ALBARAN = null;
            this.GGESTADO_COD = null;
            this.SU_REF_ALB = null;
            Object.assign(this, albaran);
            if (albaran?.F_ALBARAN)
                this.F_ALBARAN = new Date(albaran.F_ALBARAN);
        }
        set F_ALBARAN(value) {
            this._F_ALBARAN = value;
        }
        get F_ALBARAN() {
            return this._F_ALBARAN;
        }
    }
    exports.Albaran = Albaran;
});
