import { Pantalla } from 'componentes/pantalla';
import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { Bloque } from 'componentes/bloque';
import { CamposExwork } from 'modelos/estructura-exwork';
export declare class PantallaExwork extends Pantalla {
    _txtAlbaran: Campo;
    _txtMatricula: Campo;
    _txtNomCli: Campo;
    _txtDireccion: Campo;
    _txtFecha: Campo;
    _txtInt: Campo;
    _txtPais: Campo;
    _txtTelefono: Campo;
    _txtBultos: Campo;
    _txtPeso: Campo;
    _txtTransporte: Campo;
    _operarioBox: Bloque;
    _txtOperario: Campo;
    _txtOperarioDescrip: Campo;
    _dialogLoV: Bloque;
    _btnOperarios: Boton;
    _btnFirma: Boton;
    _btnConfirm: Boton;
    _btnLimpiar: Boton;
    _camposExwork: CamposExwork;
    constructor();
    inicializaComponentes(): {
        _txtAlbaran: import("componentes/campo").DefinicionCampo;
        _txtMatricula: import("componentes/campo").DefinicionCampo;
        _txtNomCli: import("componentes/campo").DefinicionCampo;
        _txtDireccion: import("componentes/campo").DefinicionCampo;
        _txtFecha: import("componentes/campo").DefinicionCampo;
        _txtInt: import("componentes/campo").DefinicionCampo;
        _txtPais: import("componentes/campo").DefinicionCampo;
        _txtTelefono: import("componentes/campo").DefinicionCampo;
        _txtBultos: import("componentes/campo").DefinicionCampo;
        _txtPeso: import("componentes/campo").DefinicionCampo;
        _txtTransporte: import("componentes/campo").DefinicionCampo;
        _operarioBox: import("componentes/bloque").DefinicionBloque;
        _txtOperario: import("componentes/campo").DefinicionCampo;
        _txtOperarioDescrip: import("componentes/campo").DefinicionCampo;
        _dialogLoV: import("componentes/bloque").DefinicionBloque;
        _btnFirma: import("componentes/boton").DefinicionBoton;
        _btnLimpiar: import("componentes/boton").DefinicionBoton;
        _btnOperarios: import("componentes/boton").DefinicionBoton;
    };
    asociaComponentes(): Promise<void>;
    inicializa(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    obtenerAlbaran(): Promise<void>;
    operarioObligarorio(): Promise<void>;
    validarCampoPais(): Promise<{
        OK: boolean;
        mensaje: string;
    }>;
    controlEstadoPais(vMensaje: string): Promise<void>;
    validarCampoInt(): Promise<void>;
    dameOperarios(): Promise<void>;
    dameOperario(): Promise<void>;
    comprobacionCampos(): boolean;
}
