import { Bloque } from "componentes/bloque";
import { Boton } from "componentes/boton";
import { Campo } from "componentes/campo";
import { Label } from "componentes/label";
import { Pantalla } from "componentes/pantalla";
import { DatosAlmacen } from "Movimientos/Shared/modelos/DatosAlmacen";
export declare class BloqueDestino {
    _botonConsulta: Boton;
    _labelAlmacen: Label;
    _labelUbicacion: Label;
    _labelLote: Label;
    _inputAlmacen: Campo;
    _inputUbicacion: Campo;
    _inputLote: Campo;
    _bloqueDestinoAlmacen: Bloque;
    _botonConsultaAlmacen: Boton;
    _botonConsultaUbicacion: Boton;
    _bloqueDestinoUbicacion: Bloque;
    _bloqueDestinoLote: Bloque;
    _datosDestino: DatosAlmacen;
    _actualizaLoteAuto: boolean;
    _PantallaPadre: Pantalla;
    constructor(Padre: Pantalla);
    get Datos(): DatosAlmacen;
    set Datos(v_value: DatosAlmacen);
    inicializaComponentes(): {
        _bloqueDestinoAlmacen: import("componentes/bloque").DefinicionBloque;
        _botonConsulta: import("componentes/boton").DefinicionBoton;
        _labelAlmacen: import("componentes/label").DefinicionLabel;
        _inputAlmacen: import("componentes/campo").DefinicionCampo;
        _botonConsultaAlmacen: import("componentes/boton").DefinicionBoton;
        _botonConsultaUbicacion: import("componentes/boton").DefinicionBoton;
        _bloqueDestinoUbicacion: import("componentes/bloque").DefinicionBloque;
        _bloqueDestinoLote: import("componentes/bloque").DefinicionBloque;
        _labelUbicacion: import("componentes/label").DefinicionLabel;
        _inputUbicacion: import("componentes/campo").DefinicionCampo;
        _labelLote: import("componentes/label").DefinicionLabel;
        _inputLote: import("componentes/campo").DefinicionCampo;
    };
    Inicializa(): void;
    set Articulo(p_value: string);
    set Almacen(p_value: string);
    set ControlLotes(p_lotes: 'S' | 'N');
    set ControlUbicaciones(p_ubicacion: 'S' | 'N');
    actualizaVista(): void;
    actualizaBloque(): void;
    DeshabilitarCampos(): void;
    HabilitarCampos(): void;
    actualizaModelo(): void;
    ValidarUbicacionLote(): Promise<boolean>;
    ConsultaDatos(): Promise<boolean>;
    ObtenerLotesArticuloAlmacen(): Promise<[{
        GAUBIC_COD: string;
        LOTE: string;
        C_UNID1: string;
    }]>;
    ValidarUbicacion(): Promise<boolean>;
    ValidarAlmacen(): Promise<boolean>;
    ObtenerAlmacenesActivos(): Promise<{
        COD: string;
        DESCRIP: string;
    }[]>;
    ConsultaAlmacen(): Promise<boolean>;
    GestionaUbicacionDefecto(): Promise<void>;
    ObtenerUbicaciones(): Promise<{
        COD: string;
    }[]>;
    ConsultaUbicaciones(): Promise<boolean>;
    UbicacionDefecto(): Promise<{
        GAUBIC_DEF: string;
    }>;
}
