import { Campo } from 'componentes/campo';
import { Boton } from 'componentes/boton';
import { Tabla } from 'componentes/tabla';
import { Pantalla } from 'componentes/pantalla';
import { Albaran } from 'actualiza-albaran/modelo';
export declare class PantallaActualizaAlbaran extends Pantalla {
    protected _botonNuevo: Boton;
    protected _botonActivar: Boton;
    protected _inputAlbaran: Campo;
    protected _inputFecha: Campo;
    protected _inputCliente: Campo;
    protected _tablaLineas: Tabla;
    protected lecturaAlbaran: string;
    protected albaran: Albaran;
    protected Parametros: {};
    constructor();
    inicializa(): void;
    inicializaComponentes(): {
        _botonNuevo: import("componentes/boton").DefinicionBoton;
        _botonActivar: import("componentes/boton").DefinicionBoton;
        _inputAlbaran: import("componentes/campo").DefinicionCampo;
        _inputFecha: import("componentes/campo").DefinicionCampo;
        _inputCliente: import("componentes/campo").DefinicionCampo;
        _tablaLineas: import("componentes/tabla").DefinicionTabla<unknown>;
    };
    actualizaVista(): void;
    limpia(): void;
    actualizaModelo(): void;
    cargaAlbaran(): Promise<void>;
    activaAlbaran(): Promise<void>;
    intentaCambiarEstadoAlbaran(p_resumenBultos: any, p_opcion: string): Promise<void>;
    cambiaEstadoAlbaran(p_resumenBultos: any, p_imprimeEtiquetas: any): Promise<any>;
    pideResumenBultos(p_resumenBultos: any): Promise<unknown>;
}
