export type CamposEtiquetas = {
    Articulo: string;
    Descripcion: string;
    Ubic: string;
    UbicTemp: string;
    Date: string;
    Copias: string;
    PlaceHolder: string;
    Programa: string;
};
export type ParametrosGetArt = {
    empgrupo_cod: string;
    emp_cod: string;
    gaart_cod: string;
};
export type ParametrosGetInicio = {
    empgrupo_cod: string;
    emp_cod: string;
    programa: string;
};
export type ParametrosGetOpcionesImpresion = {
    empgrupo_cod: string;
    emp_cod: string;
    programa: string;
};
export type ParametrosPutImprimir = {
    EMPGRUPO_COD: string;
    EMP_COD: string;
    PROGRAMA: string;
    GAART_COD: string;
    COPIAS: number;
    Parametros?: any;
    DOCTIP?: string;
    OPCION?: string;
    Pagina?: string;
    NumeroElementos?: string;
    Orden?: string;
    Filtro?: string;
    Opc?: string;
    Opciones?: ParametrosPutImprimir_Opciones;
};
type ParametrosPutImprimir_Opciones = {
    N_PAGINA?: number;
    N_ELEMENTOS?: number;
    ORDEN?: [
        {
            NOMBRE?: string;
            TIPO?: "ASC";
        }
    ];
    FILTRO?: [
        {}
    ];
};
export type atributosDesplegable = {
    DOCTIP: string;
    OPCION: string;
    PLANTILLA: string;
};
export {};
