import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { Desplegable } from 'componentes/desplegable';
import { Pantalla } from 'componentes/pantalla';
import { CamposEtiquetas } from 'modelos/estructura-etiquetas';
export declare class PantallaEtiquetas extends Pantalla {
    _txtArt: Campo;
    _txtArtDescrip: Campo;
    _txtUbic: Campo;
    _txtUbicTemp: Campo;
    _txtDate: Campo;
    _txtCopias: Campo;
    _txtPrograma: Campo;
    _tipo: Desplegable;
    _btnConfirmar: Boton;
    _camposEtiquestas: CamposEtiquetas;
    constructor();
    inicializaComponentes(): {
        _txtArt: import("componentes/campo").DefinicionCampo;
        _txtArtDescrip: import("componentes/campo").DefinicionCampo;
        _txtCopias: import("componentes/campo").DefinicionCampo;
        _txtPrograma: import("componentes/campo").DefinicionCampo;
        _tipo: import("componentes/desplegable").DefinicionDesplegable;
        _btnConfirmar: import("componentes/boton").DefinicionBoton;
    };
    asociaComponentes(): void;
    inicializa(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    inicioEtiquetas(): Promise<void>;
    obtenerArticulo(): Promise<void>;
    opcionesImpresion(): Promise<void>;
    confirmarEtiquetas(): Promise<boolean>;
    creaElemento(tagName: string, idParameter?: string): HTMLElement;
}
