import { Modal } from "componentes/modal";
import { PedidoLinea } from "Recepcion/modelos/pedido_linea";
import { Pedido } from "Recepcion/modelos/pedido";
import { Existencias } from "Recepcion/modelos/existencias";
export declare class LotesUbicacionesModel {
    modal: Modal;
    Pedido: Pedido;
    Linea: PedidoLinea;
    constructor(init?: Partial<LotesUbicacionesModel>);
}
export declare class LotesUbicacionesPantallaModel {
    Pedido: Pedido;
    Linea: PedidoLinea;
    readonly LineaOriginal: PedidoLinea;
    GAART_COD: string;
    GAART_DESCRIP: string;
    C_PDTE1: number;
    GAUBIC_COD: string;
    LOTE: string;
    C_UNI1: any;
    ControlLotes: boolean;
    ControlUbicaciones: boolean;
    constructor(init?: Partial<LotesUbicacionesPantallaModel>);
}
export declare class Detalle {
    LOTE: string;
    GAUBIC_COD: string;
    LOTE_DES: string;
    GAUBIC_DES: string;
    C_UNI1: number;
    C_UNI2: number;
    constructor(init?: Partial<Detalle>);
}
export declare class DetallesLineaPreparada {
    Detalles: Detalle[];
    C_PREP: number;
    constructor(init?: Partial<DetallesLineaPreparada>);
}
export declare class LineaPreparada {
    Disponible: Existencias[];
    Preparado: DetallesLineaPreparada;
    constructor(init?: Partial<LineaPreparada>);
}
