import { Albaran } from "Recepcion/modelos/albaran";
import { PedidoLinea, PedidoLineaPreparada } from "Recepcion/modelos/pedido_linea";
export declare class Pedido {
    GGPEDTIP_COD?: string;
    N_PEDIDO?: number;
    OBSER?: string;
    Albaranes?: Albaran[];
    Lineas?: PedidoLinea[];
    MostrarUbicDefDetLotes: 'S' | 'N';
    TipoPedido: 'T' | 'N';
    constructor(pedido?: Partial<Pedido>);
}
export declare class PedidoPreparado {
    EMPGRUPO_COD: string;
    EMP_COD: string;
    GGPEDTIP_COD: string;
    N_PEDIDO: number;
    GGALBTIP_COD: string;
    N_ALBARAN: number;
    F_ALBARAN: Date;
    SU_REF_ALB: string;
    Lineas: PedidoLineaPreparada[];
    constructor(pedido?: Partial<PedidoPreparado>);
}
