declare class Pregunta {
    private _texto;
    private _error;
    private _opciones;
    private _opcionPredeterminada;
    private _opcionCancelar;
    private _cancelable;
    constructor(_texto: string, _error: boolean, _opciones: string[], _opcionPredeterminada: string, _opcionCancelar: string, _cancelable: boolean);
    texto(p_texto: any): Pregunta;
    error(): Pregunta;
    opciones(p_opciones: string[]): Pregunta;
    opcionPredeterminada(p_opcion: string): Pregunta;
    opcionCancelar(p_opcion: string): Pregunta;
    cancelable(p_cancelable: boolean): Pregunta;
    muestra(p_texto: string): Promise<[number, string]>;
}
export declare function pregunta(p_texto?: string): Pregunta;
export {};
