import { Modal } from 'componentes/modal';
export type DatosTransporte = {
    GGMENVIO_COD: string;
    GGMENVIO_DESCRIP: string;
    GGVEHICULO_COD: string;
    GGVEHICULO_DESCRIP: string;
};
export declare class DialogoDatosTransporte {
    private _modal;
    protected _datosTransporte: DatosTransporte;
    private _botonAceptar;
    private _inputGgmenvio_cod;
    private _inputGgmenvio_descrip;
    private _botonBusquedaGgmenvio_cod;
    private _inputGgvehiculo_cod;
    private _inputGgvehiculo_descrip;
    private _botonBusquedaGgvehiculo_cod;
    constructor(p_modal: Modal, p_datosTransporte: DatosTransporte);
    actualizaVista(): void;
    actualizaModelo(): void;
    acepta(): void;
    validaGgmenvio_cod({ valorHaCambiado: p_valorHaCambiado }: {
        valorHaCambiado: any;
    }): Promise<void>;
    pideGgmenvio_cod(): Promise<boolean>;
    validaGgvehiculo_cod({ valorHaCambiado: p_valorHaCambiado }: {
        valorHaCambiado: any;
    }): Promise<void>;
    pideGgvehiculo_cod(): Promise<boolean>;
}
