import { Modal } from 'componentes/modal';
import { Tabla } from 'componentes/tabla';
import { Boton } from 'componentes/boton';
import { Campo } from 'componentes/campo';
import { Bloque } from 'componentes/bloque';
import { ExistenciasLote, LineaPedidoPreparado, DatosLotesUbicaciones } from 'expedicion/modelos/expedicion-tipos';
export declare class DialogoLotesUbicaciones {
    protected modal: Modal;
    protected lineaOriginal: LineaPedidoPreparado;
    protected disponibleOriginal: ExistenciasLote[];
    protected datos: DatosLotesUbicaciones;
    protected _inputGaart_cod: Campo;
    protected _inputGaart_descrip: Campo;
    protected _botonPendienteOPreparado: Boton;
    protected _inputPendiente: Campo;
    protected _tabla: Tabla<ExistenciasLote>;
    protected bloqueEdicion: Bloque;
    protected _inputGaubic_cod: Campo;
    protected _inputLote: Campo;
    protected _inputCantidad: Campo;
    protected _botonAceptar: Boton;
    protected gaart_cod: string;
    protected gaart_descrip: string;
    protected pendiente: number;
    protected pendienteOPreparado: 'pendiente' | 'preparado';
    protected linea: LineaPedidoPreparado;
    protected disponible: ExistenciasLote[];
    protected gaubic_cod: string;
    protected lote: string;
    protected cantidad: number;
    protected tieneControlLotes: boolean;
    protected tieneControlUbic: boolean;
    constructor(modal: Modal, lineaOriginal: LineaPedidoPreparado, disponibleOriginal: ExistenciasLote[], datos?: DatosLotesUbicaciones);
    protected inicializaComponentes(): {
        _inputGaart_cod: import("componentes/campo").DefinicionCampo;
        _inputGaart_descrip: import("componentes/campo").DefinicionCampo;
        _botonPendienteOPreparado: import("componentes/boton").DefinicionBoton;
        _inputPendiente: import("componentes/campo").DefinicionCampo;
        _tabla: any;
        bloqueEdicion: import("componentes/bloque").DefinicionBloque;
        _inputGaubic_cod: import("componentes/campo").DefinicionCampo;
        _inputLote: import("componentes/campo").DefinicionCampo;
        _inputCantidad: import("componentes/campo").DefinicionCampo;
        _botonAceptar: import("componentes/boton").DefinicionBoton;
    };
    puedeAceptar(): boolean;
    insertaOActualizaLinea(p_gaubic_cod: any, p_lote: any, p_cantidad: any): Promise<boolean>;
    muestraPendienteOPreparado(): void;
    actualizaVista(): void;
    actualizaModelo(): void;
    acepta(): Promise<void>;
}
