define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Pantalla = void 0;
    class Pantalla {
        constructor() {
            this._primeraVez = true;
        }
        alSalir(callback) {
            if (Pantalla.manejadores[this.constructor.name])
                window.removeEventListener('popstate', Pantalla.manejadores[this.constructor.name]);
            if (callback === null)
                return;
            if (this._primeraVez) {
                window.history.pushState(null, null, window.location.pathname);
                this._primeraVez = false;
            }
            const v_manejador = {
                handleEvent: async function (event) {
                    await callback();
                    window.removeEventListener('popstate', v_manejador);
                    delete Pantalla.manejadores[this.constructor.name];
                    window.history.back();
                }
            };
            window.addEventListener('popstate', v_manejador, false);
            Pantalla.manejadores[this.constructor.name] = v_manejador;
        }
    }
    exports.Pantalla = Pantalla;
    Pantalla.manejadores = {};
});
