﻿
$(document).ready(function () {
    cambioTamanioInventario();
    $(window).resize(function () {
        cambioTamanioInventario();
    });
    var v_tipoMovimiento;

    obtenerTipoMov();
    var botonesAlmacen = $('#btnAlmacenOrigen, #btnAlmacenDestino, #btnAlmacen');
    var botonGuardar = $('#confirmar');
    var botonAlmacenInventario = $('#btnBuscaAlmacen');
    var botonesUbicacion = $('#btnUbicOrigen, #btnUbicDestino');
    var botonesLote = $('#btnLoteOrigen, #btnLoteDestino');
    var botonReset = document.getElementById('btnReset');
    var idAlmDest = $('#btnAlmacenDestino').prop('id');
    var idAlmOrig = $('#btnAlmacenOrigen').prop('id');
    var idUbicDest = $('#btnUbicDestino').prop('id');
    var idUbicOrig = $('#btnUbicOrigen').prop('id');
    var idLoteDest = $('#btnLoteDestino').prop('id');
    var idLoteOrig = $('#btnLoteOrigen').prop('id');

    var textosAlmacen = $('#txtAlmacenOrig, #txtAlmacenDest');
    var textosUbic = $('#txtUbicOrig, #txtUbicDest');

    var txtAlmOrig = $('#txtAlmacenOrig');
    var txtUbicOrig = $('#txtUbicOrig');
    var txtLoteOrig = $('#txtLoteOrig');

    var txtAlmDest = $('#txtAlmacenDest');
    var txtUbicDest = $('#txtUbicDest');
    var txtLoteDest = $('#txtLoteDest');

    var textoArt = $('#txtArt');
    var txtCant = $('#txtExistAct1');

    var keypressEvent = $.Event("keypress", { which: 13 });

    addEvent(botonReset, 'click', limpiarCampos, false);

    if (v_tipoMovimiento === "CambioUbic") {
        var btnAddBatchQty = document.getElementById('btnAddBatchQty');
        addEvent(btnAddBatchQty, 'click', addBatchQty, false);
    }
    // RBM 17/04/20 Cambio la forma de establecer el foco en los campos
    //function focusAlmacenOrigen() { txtAlmOrig.focus().select(); }
    //function focusAlmacenDestino() { txtAlmDest.focus().select(); }
    //function focusUbicacionOrigen() { txtUbicOrig.focus().select(); }
    //function focusUbicacionDestino() { txtUbicDest.focus().select(); }
    //function focusLoteOrigen() { txtLoteOrig.focus().select(); }
    //function focusLoteDestino() { txtLoteDest.focus().select(); }
    //function focusArticulo() { textoArt.focus().select(); }
    //function focusCantidad() { txtCant.focus().select(); }
    function focusAlmacenOrigen() { document.tabulado.siguiente(txtAlmOrig); }
    function focusAlmacenDestino() { document.tabulado.siguiente(txtAlmDest); }
    function focusUbicacionOrigen() { document.tabulado.siguiente(txtUbicOrig); }
    function focusUbicacionDestino() { document.tabulado.siguiente(txtUbicDest); }
    function focusLoteOrigen() { document.tabulado.siguiente(txtLoteOrig); }
    function focusLoteDestino() { document.tabulado.siguiente(txtLoteDest); }
    function focusArticulo() { document.tabulado.siguiente(textoArt); }
    function focusCantidad() { document.tabulado.siguiente(txtCant); }

    //Si el almacen de origen no existe, el foco quedará en el almacen de destino
    focusAlmacenDestino();
    focusAlmacenOrigen();

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //txtAlmOrig.keypress(function (e) { if (e.which === 13) { validaAlmacen(txtAlmOrig); focusUbicacionOrigen(); } });
    //txtAlmDest.keypress(function (e) { if (e.which === 13) { validaAlmacen(txtAlmDest); focusUbicacionDestino(); } });
    //txtUbicOrig.keypress(function (e) { if (e.which === 13) { validaUbicacion(txtUbicOrig, "ORI"); } });
    //txtUbicDest.keypress(function (e) { if (e.which === 13) { validaUbicacion(txtUbicDest, "DES"); } });
    //txtLoteDest.keypress(function (e) { if (e.which === 13) focusArticulo(); });
    //textoArt.keypress(function (e) { if (e.which === 13) { validaArticulo(); focusCantidad(); } });
    txtAlmOrig.on("change", function (e) { validaAlmacen(txtAlmOrig); focusUbicacionOrigen(); });
    txtAlmDest.on("change", function (e) { validaAlmacen(txtAlmDest); focusUbicacionDestino(); });
    txtUbicOrig.on("change", function (e) { validaUbicacion(txtUbicOrig, "ORI"); });
    txtUbicDest.on("change", function (e) { validaUbicacion(txtUbicDest, "DES"); });
    txtLoteDest.on("change", function (e) { focusArticulo(); });
    textoArt.on("change", function (e) { validaArticulo(); focusCantidad(); });
    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //txtLoteOrig.keypress(function (e) {
    //    if (e.which === 13) {
    txtLoteOrig.on("change", function (e) {
        {
            if (v_tipoMovimiento === "CambioUbic")
                verificaLote("ORI");
            focusArticulo();
            focusAlmacenDestino();
        }
    });

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //txtCant.keypress(function (e) {
    //    if (e.which === 13) {
    txtCant.on("change", function (e) {
        {
            //botonGuardar.click();
            focusUbicacionDestino();
            focusUbicacionOrigen();
        }
    });
    if (txtUbicOrig.get(0))
        addEvent(txtUbicOrig.get(0), 'change', limpiarLoteOrig, false);

    var CONFIG = {
        GAALMNOM_DES_UNICO: false,
        GAALMNOM_ORI: null,
        GAALMNOM_DES: null,
        MOSTRAR_LOTE_DES: false
    };

    if ($("#messageSuccess").val() !== "" && $("#messageSuccess").val()) {
        success($('#messageSuccess').val());
    }

    menuElement(Resources.label_movTip, 'observaciones', '#', "", '', 'menuMovimiento');

    botonGuardar.on("click", function (e) {
        e.preventDefault();
        var v_tipoMovimiento = $('#tipoMov').val();
        var url;
        var method = "PUT";
        var data;
        if (v_tipoMovimiento === "Entradas") {
            url = "movimientos/darentrada";
            data = ordenEntrada();
            message = Resources.title_location_receipt_success_message;
        } else if (v_tipoMovimiento === "Salidas") {
            url = "movimientos/darsalida";
            data = ordenSalida();
            message = Resources.title_location_issue_success_message;
        } else {
            url = "movimientos/cambiarubicacion";
            data = ordenCambioUbicacion();
            message = Resources.title_location_change_success_message;
        }
        var success = function (response, status, xhr) {
            if (response.Ok) {
                successMessage(response.Mensaje);
                limpiarCampos();
            } else {
                lanzarMensaje(false, response.Mensaje);
            }
        };
        apiGeneral(url, method, data, success);
    });

    botonAlmacenInventario.on('click', function (e) {
        e.preventDefault();
        //var url = Router.action('Inventario', 'obtenerListadoAlmacenes');
        var url = 'Inventario/obtenerListadoAlmacenes';
        var v_dialog = '#dialogLoV';
        var v_tableName = 'almacenesInvTable';
        var v_columns = [generateColumn('COD', Resources.table_head_code), generateColumn('DESCRIP', Resources.table_head_description)];
        var columnDefs = [
            { "width": "6em", "targets": 0 }
        ];
        var v_buttons = [generateSingleButton('accept', Resources.button_accept)];
        generarDialogAuto(url, v_dialog, v_tableName, null, null, v_columns, v_buttons, null, null, selectAlmacen, Resources.title_inventory_warehouse, null, null, null, null, null, null, columnDefs, true);
    });

    $('#menuMovimiento').on('click', function (e) {
        e.preventDefault();

        var v_tipoMovimiento = $('#tipoMov').val();
        var v_url = "movimientos/iniciocambioubicacion";
        if (v_tipoMovimiento === "Entradas") {
            v_url = "movimientos/inicioentradas";
        } else if (v_tipoMovimiento === "Salidas") {
            v_url = "movimientos/iniciosalidas";
        }
        var v_method = "GET";
        var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD") };
        var v_success = function (response) {
            var Ok = function () {
                var v_data = response.Objeto.GAMOVTIP;
                var v_dialog = "#dialogLoV";
                var v_nombre_tabla = 'tablaTipoMov';
                var v_column = [
                    { "mDataProp": "COD", name: Resources.table_head_code },
                    { "mDataProp": "DESCRIP", name: Resources.table_head_description }
                ];
                var columnDefs = [
                    { "width": "6em", "targets": 0 }
                ];
                //var url = Router.action('Dialog', 'Dialog');
                var url = 'Dialog/Dialog';
                var buttons = [{ id: 'select', value: Resources.button_select }];
                generarDialogAuto(url, v_dialog, v_nombre_tabla, null, v_data, v_column, buttons, null, null, selectMovementType, Resources.label_movTip, null, null, null, null, null, null, columnDefs);
            };
            handleResponse(response, Ok);
        };

        apiGeneral(v_url, v_method, v_datos, v_success);
    });

    //controla ambos botones de búsqueda de almacen (origen y destino)
    botonesAlmacen.on('click', function (e) {
        e.preventDefault();
        var btnId = $(this).prop('id');

        var v_url = "movimientos/almacenes";
        var v_datos = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD")
        };
        var v_method = 'GET';
        var v_success = function (response) {
            var Ok = function () {
                var v_dialog = "#dialogLoV";
                var v_nombre_tabla = 'tablaAlmacenes';
                var v_dataJSON = response.Objeto;
                var v_column = [{ "mDataProp": "COD", name: Resources.table_head_code }, { "mDataProp": "DESCRIP", name: Resources.table_head_description }];
                var columnDefs = [
                    { "width": "6em", "targets": 0 }
                ];
                //var url = Router.action('Dialog', 'Dialog');
                var url = 'Dialog/Dialog';
                var buttons = [{ id: 'select', value: Resources.button_select }];

                if (btnId === idAlmDest) {
                    func = selectAlmacenDestino;
                    v_title = Resources.label_almacen_destino;
                } else {
                    func = selectAlmacenOrigen;
                    v_title = Resources.label_almacen_origen;
                }
                generarDialogAuto(url, v_dialog, v_nombre_tabla, null, v_dataJSON, v_column, buttons, null, null, func, v_title, null, null, null, null, null, null, columnDefs, true);
            };
            handleResponse(response, Ok);
        };
        apiGeneral(v_url, v_method, v_datos, v_success);


    });


    // RBM 17/04/20 Cambio la forma de establecer el foco en los campos
    botonesUbicacion.on('click', function (e) {
        e.preventDefault();
        var v_url = "movimientos/ubicaciones";
        var v_method = "GET";
        var ori_des;
        if ($(this).prop('id') === idUbicDest) {
            almacen = $('#txtAlmacenDest').val();
            func = selectUbicacionDestino;
            v_title = Resources.label_ubic_dest;
            ori_des = "DES";
        } else {
            almacen = $('#txtAlmacenOrig').val();
            func = selectUbicacionOrigen;
            v_title = Resources.label_ubic_orig;
            ori_des = "ORI";
        }
        var v_success = function (response) {
            var Ok = function () {
                var v_dialog = "#dialogLoV";
                var v_nombre_tabla = 'tablaUbicacion';
                var v_column = [{ "mDataProp": "COD", name: 'Código' }];
                //var url = Router.action('Dialog', 'Dialog');
                var url = 'Dialog/Dialog';
                var buttons = [{ id: 'select', value: 'Seleccionar' }];
                generarDialogAuto(url, v_dialog, v_nombre_tabla, null, response.Objeto, v_column, buttons, null, null, func, v_title, null, null, null, null, null, null, null, true);
            };
            handleResponse(response, Ok);
        };
        var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen, ori_des: ori_des };
        apiGeneral(v_url, v_method, v_datos, v_success);
    });

    botonesLote.on('click', function (e) {
        e.preventDefault();

        if ($(this).prop('id') === idLoteDest) {
            almacen = $('#txtAlmacenDest').val(),
                ubicacion = $('#txtUbicDest').val();
            func = selectLoteDestino;
            v_title = Resources.label_lote_dest;
        } else {
            almacen = $('#txtAlmacenOrig').val();
            ubicacion = $('#txtUbicOrig').val();
            func = selectLoteOrigen;
            v_title = Resources.label_lote_orig;
        }
        var v_url = "movimientos/lotes";
        var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen, gaubic_cod: ubicacion };
        var v_method = "GET";
        var v_success = function (response) {
            var Ok = function () {
                var v_dialog = "#dialogLoV";
                var v_nombre_tabla = 'tablaLotes';
                var v_column = [{ "mDataProp": "COD", name: 'Código' }];
                //var url = Router.action('Dialog', 'Dialog');
                var url = "Dialog/Dialog";
                var buttons = [{ id: 'select', value: 'Seleccionar' }];
                generarDialogAuto(url, v_dialog, v_nombre_tabla, null, response.Objeto, v_column, buttons, null, null, func, v_title, null, null, null, null, null, null, null, true);
            };
            handleResponse(response, Ok);
        };

        apiGeneral(v_url, v_method, v_datos, v_success);
    });

    $('#btnArtMov').on('click', function (e) {
        e.preventDefault();
        var v_url = "movimientos/articulos";
        var almacen = typeof $('#txtAlmacenOrig').val() !== 'undefined' ? $('#txtAlmacenOrig').val() : $('#txtAlmacenDest').val();
        var ubicacion = typeof $('#txtUbicOrig').val() !== 'undefined' ? $('#txtUbicOrig').val() : $('#txtUbicDest').val();
        var lote = typeof $('#txtLoteOrig').val() !== 'undefined' ? $('#txtLoteOrig').val() : $('#txtLoteDest').val();
        var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen, gaubic_cod: ubicacion, lote: lote };
        var v_method = "GET";
        var v_success = function (response) {
            var Ok = function () {
                //var url = Router.action('Dialog', 'Dialog');
                var url = "Dialog/Dialog";
                var v_dialog = "#dialogLoV";
                var v_nombre_tabla = 'tablaArticulosMov';
                var v_column = [generateColumn('COD', Resources.table_head_code), generateColumn('DESCRIP', Resources.table_head_description)];
                var columnDefs = [
                    { "width": "6em", "targets": 0 }
                ];
                var buttons = [generateSingleButton('accept', Resources.button_accept)];
                var func = selectArticles;
                var v_dataJson = response.Objeto;
                generarDialogAuto(url, v_dialog, v_nombre_tabla, null, v_dataJson, v_column, buttons, null, null, func, Resources.title_article_list, null, null, null, null, null, null, columnDefs, true);
            };
            handleResponse(response, Ok);
        };

        apiGeneral(v_url, v_method, v_datos, v_success);
    });

    function validaAlmacen(campo) {
        if ((almacen = campo.val()) !== '') {
            var v_url = "movimientos/almacen";
            var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen };
            if (v_tipoMovimiento === "CambioUbic") {
                if (campo.attr('id') === $('#txtAlmacenOrig').attr('id')) {
                    v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen, ori_des: "ORI" };
                } else {
                    v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen, ori_des: "DES" };
                }
            }

            var v_method = "GET";
            var v_success = function (response, status, xhr) {
                //Si es almacén de Origen
                if (campo.attr('id') === $('#txtAlmacenOrig').attr('id')) {
                    limpiarUbicOrig();
                    limpiarLoteOrig();
                    if (response.Ok) {
                        $('#almacenCod').val(response.Objeto.COD);
                        $('#almacenDescrip').val(response.Objeto.DESCRIP);
                        $('#txtAlmacenOrig').val(response.Objeto.COD);
                        $('#txtAlmacenOrigDescr').val(response.Objeto.DESCRIP);
                        // RBM 17/04/20 Cambio la forma de establecer el foco en los campos
                        // $(txtUbicOrig).focus();
                        document.tabulado.siguiente(txtUbicOrig);

                        if (CONFIG.GAALMNOM_DES_UNICO) {
                            $('#txtAlmacenDest').val(response.Objeto.COD);
                            $('#txtAlmacenDestDescr').val(response.Objeto.DESCRIP);
                            limpiarUbicDest();
                            limpiarLoteDest();
                        }
                        if (v_tipoMovimiento === "CambioUbic") {

                            if (campo.attr('id') === $('#txtAlmacenOrig').attr('id')) {
                                $(txtUbicOrig).val(response.Objeto.GAUBIC_DEF);
                                $(txtUbicOrig).trigger(keypressEvent);
                            } else {
                                $(txtUbicDest).val(response.Objeto.GAUBIC_DEF);
                                $(txtUbicDest).trigger(keypressEvent);
                            }
                        }
                    } else {
                        //console.log(response.Ok, response.Mensaje);
                        //$('#txtAlmacenOrigDescr').val('');
                        lanzarMensaje(false, response.Mensaje, focusAlmacenOrigen);
                    }
                    //Si es almacén de Destino
                } else {
                    limpiarUbicDest();
                    limpiarLoteDest();
                    var Ok = function () {
                        $('#txtAlmacenDest').val(response.Objeto.COD);
                        $('#txtAlmacenDestDescr').val(response.Objeto.DESCRIP);
                        // $(txtUbicDest).focus();
                        document.tabulado.siguiente(txtUbicDest);
                    };
                    var error = function () {
                        $('#txtAlmacenDestDescr').val('');
                        focusAlmacenDestino();
                    };
                    handleResponse(response, Ok, error);
                }
            };
            apiGeneral(v_url, v_method, v_datos, v_success);
        } else {
            if (campo.attr('id') === $('#txtAlmacenOrig').attr('id')) {
                limpiarAlmacenOrig();
                limpiarUbicOrig();
                limpiarArticulo();
                limpiarLoteOrig();
            } else {
                limpiarAlmacenDest();
                limpiarUbicDest();
                limpiarLoteDest();
            }
        }
    }

    function validaArticulo() {
        var articulo;
        var origen = typeof $('#txtAlmacenOrig').val() !== 'undefined';
        var destino = typeof $('#txtAlmacenDest').val() !== 'undefined';
        var almacen = origen ? $('#txtAlmacenOrig').val() : $('#txtAlmacenDest').val();
        var ubicacion = origen ? $('#txtUbicOrig').val() : $('#txtUbicDest').val();
        var lote = origen ? $(txtLoteOrig).val() : $(txtLoteDest).val();

        if ((articulo = $("#txtArt").val()) !== '') {
            var v_url = "movimientos/Articulo";
            var v_datos = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                gaalmnom_cod: almacen,
                gaubic_cod: ubicacion,
                lote: lote,
                lecturaArticulo: articulo
            };

            var v_method = "GET";
            var v_success = function (response) {
                var Ok, error;
                if (origen && destino) {
                    Ok = function () {
                        $('#txtArt').val(response.Objeto.COD);
                        $('#txtArtDescr').val(response.Objeto.DESCRIP);
                        $(txtCant).val(response.Objeto.C_UNID1);
                    };
                    error = function () {
                        $('#txtArtDescr').val('');
                        $(txtCant).val('');
                        // RBM 17/04/20 Cambio la forma de establecer el foco en los campos
                        // $("#txtArt").focus().select();
                        document.tabulado.siguiente("#txtArt");
                    };
                } else {
                    Ok = function () {
                        $('#txtArt').val(response.Objeto.COD);

                        $('#txtArtDescr').val(response.Objeto.DESCRIP);
                        focusCantidad();
                    };
                    error = function () {
                        // RBM 17/04/20 Cambio la forma de establecer el foco en los campos
                        // $("#txtArt").focus().select();
                        document.tabulado.siguiente("#txtArt");
                    };
                }
                handleResponse(response, Ok, error);
            };
            apiGeneral(v_url, v_method, v_datos, v_success);
        }
    }

    function validaUbicacion(campo, ori_des) {
        var ubicacion;
        var lote;
        if (ori_des === "ORI") {
            almacen = $('#txtAlmacenOrig');
            lote = $(txtLoteOrig).val();
        } else {
            almacen = $('#txtAlmacenDest');
            lote = $(txtLoteDest).val();
        }
        if ((ubicacion = campo.val()) !== '') {
            var v_url = "movimientos/ubicacion";
            var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), gaalmnom_cod: almacen.val(), gaubic_cod: ubicacion, lote: lote, ori_des: ori_des };
            var v_method = "GET";
            var v_success = function (response) {
                var Ok = function () {
                    if (ori_des === "ORI") {
                        limpiarArticulo();
                        $(textoArt).val(response.Objeto.GAART_COD);
                        $(textoArt).trigger(keypressEvent);
                        $(txtCant).val(response.Objeto.C_UNID1);
                        if (!txtAlmDest.val()) {
                            focusAlmacenDestino();
                        } else {
                            focusUbicacionDestino();
                        }
                        focusLoteOrigen();
                    } else {
                        limpiarLoteDest();
                        focusArticulo();
                        focusLoteDestino();
                    }
                };
                var error = function () {
                    focusBack(campo);
                };
                handleResponse(response, Ok, error);
            };

            apiGeneral(v_url, v_method, v_datos, v_success);
        }
    }

    function focusBack(campo) {
        // RBM 17/04/20 Cambio la forma de establecer el foco en los campos
        // campo.focus().select();
        document.tabulado.siguiente(campo);
    }
    function verificaLote(ori_des) {
        var campo;
        var lote;
        var almacen;
        var ubicacion;
        if (ori_des === "ORI") {
            campo = txtLoteOrig;
            almacen = $('#txtAlmacenOrig').val();
            lote = $(txtLoteOrig).val();
            ubicacion = $(txtUbicOrig).val();
        } else {
            campo = txtLoteDest;
            almacen = $('#txtAlmacenDest').val();
            lote = $(txtLoteDest).val();
            ubicacion = $(txtUbicDest).val();
        }
        if (lote !== '') {
            var v_url = "Movimientos/Lote";
            var v_datos = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                gaalmnom_cod: almacen,
                gaubic_cod: ubicacion,
                lote: lote,
                ori_des: ori_des
            };
            var v_method = "GET";
            var v_success = function (response) {
                var Ok = function () {
                    if (ori_des === "ORI") {
                        limpiarArticulo();
                    }
                    $(textoArt).val(response.Objeto.GAART_COD);
                    $(textoArt).trigger(keypressEvent);
                    $(txtCant).val(response.Objeto.C_UNID1);
                    if (txtAlmDest.val()) {
                        focusUbicacionDestino();
                    } else {
                        focusAlmacenDestino();
                    }
                };
                var error = function () {
                    focusBack(campo);
                };
                handleResponse(response, Ok, error);
            };
            apiGeneral(v_url, v_method, v_datos, v_success);
        }
    }

    function selectAlmacenDestino() {
        $('#select').on('click', function () {
            var v_table = $("#tablaAlmacenes").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codAlmacen = v_table.rows('.selected').data()[0].COD;
                var v_descrAlmacen = v_table.rows('.selected').data()[0].DESCRIP;

                $('#txtAlmacenDest').val(v_codAlmacen);
                $('#txtAlmacenDestDescr').val(v_descrAlmacen);
                $('#txtUbicDest').val('');
                $('#txtLoteDest').val('');
            }
            $('#txtAlmacenDest').trigger(keypressEvent);
            closeModal('#dialogLoV');
        });
    }

    function selectAlmacenOrigen() {
        $('#select').on('click', function () {
            var v_table = $("#tablaAlmacenes").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codAlmacen = v_table.rows('.selected').data()[0].COD;
                var v_descrAlmacen = v_table.rows('.selected').data()[0].DESCRIP;
                $('#txtAlmacenOrig').val(v_codAlmacen);
                $('#txtAlmacenOrigDescr').val(v_descrAlmacen);
                $('#txtUbicOrig').val('');
                $('#txtLoteOrig').val('');
                limpiarArticulo();
            }
            $('#txtAlmacenOrig').trigger(keypressEvent);
            closeModal('#dialogLoV');
        });
    }

    function selectUbicacionDestino() {
        $('#select').on('click', function () {
            var v_table = $("#tablaUbicacion").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codAlmacen = v_table.rows('.selected').data()[0].COD;
                $('#txtUbicDest').val(v_codAlmacen);
                $('#txtLoteDest').val('');
            }
            $('#txtUbicDest').trigger(keypressEvent);
            focusArticulo();
            focusLoteDestino();
            closeModal('#dialogLoV');
        });
    }

    function selectUbicacionOrigen() {
        $('#select').on('click', function () {
            var v_table = $("#tablaUbicacion").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codAlmacen = v_table.rows('.selected').data()[0].COD;
                $('#txtUbicOrig').val(v_codAlmacen);
                $('#txtLoteOrig').val('');
                limpiarArticulo();
            }
            $('#txtUbicOrig').trigger(keypressEvent);
            focusLoteOrigen();
            closeModal('#dialogLoV');
        });
    }

    function selectLoteOrigen() {
        $('#select').on('click', function () {
            var v_table = $("#tablaLotes").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codLote = v_table.rows('.selected').data()[0].COD;
                limpiarArticulo();
                var e = {
                    target: {
                        id: txtLoteOrig.attr('id')
                    }
                };
                $('#txtLoteOrig').val(v_codLote);
                verificaLote("ORI");
            }
            closeModal('#dialogLoV');
        });
    }

    function selectLoteDestino() {
        $('#select').on('click', function () {
            var v_table = $("#tablaLotes").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codLote = v_table.rows('.selected').data()[0].COD;
                $('#txtLoteDest').val(v_codLote);
            }
            closeModal('#dialogLoV');
        });
    }


    function selectMovementType() {
        $('#select').on('click', function () {
            var v_table = $("#tablaTipoMov").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codMovimiento = v_table.rows('.selected').data()[0].COD;
                var v_descrMovimiento = v_table.rows('.selected').data()[0].DESCRIP;
                $('#menuMovimiento .invisible-input').val(v_codMovimiento);
            }

            // RBM 17/04/20 Al seleccionar tipo de movimiento no se establece foco
            focusUbicacionDestino();
            focusUbicacionOrigen();
            if (typeof $('#txtAlmacenOrig') !== 'undefined' && $('#txtAlmacenOrig') !== null && $('#txtAlmacenOrig').val() === "") {
                focusAlmacenOrigen();
            } else if (typeof $('#txtAlmacenDest') !== 'undefined' && $('#txtAlmacenDest') !== null && $('#txtAlmacenDest').val() === "") {
                focusAlmacenDestino();
            }
            closeModal('#dialogLoV');
        });
    }

    function selectAlmacen() {
        $('#accept').on('click', function () {
            var v_table = $("#almacenesInvTable").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codAlmacen = v_table.rows('.selected').data()[0].COD;
                //var v_descrAlmacen = v_table.rows('.selected').data()[0].DESCRIP;
                $('#txtAlmacen').val(v_codAlmacen);
            }

            closeModal('#dialogLoV');
        });
    }

    function selectArticles() {
        $('#accept').on('click', function () {
            var v_table = $("#tablaArticulosMov").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codArt = v_table.rows('.selected').data()[0].COD;
                var v_descrArt = v_table.rows('.selected').data()[0].DESCRIP;
                $('#txtArt').val(v_codArt);
                $('#txtArtDescr').val(v_descrArt);
                validaArticulo();
                focusCantidad();
            }
            closeModal('#dialogLoV');
        });
    }

    function ordenCambioUbicacion() {
        var cambio = {
            EMPGRUPO_COD: sessionStorage.getItem("EMPRGRUP_COD"),
            EMP_COD: sessionStorage.getItem("EMPR_COD"),
            GAMOVTIP_COD: $('#menuMovimiento .invisible-input').val(),
            GAART_COD: $('#txtArt').val(),
            GAALMNOM_ORI: $('#txtAlmacenOrig').val(),
            GAUBIC_ORI: $('#txtUbicOrig').val(),
            LOTE_ORI: $('#txtLoteOrig').val(),
            GAALMNOM_DES: $('#txtAlmacenDest').val(),
            GAUBIC_DES: $('#txtUbicDest').val(),
            LOTE_DES: $('#txtLoteDest').val(),
            C_UNID1: $('#txtExistAct1').val()
        };
        return cambio;
    }

    function ordenEntrada() {
        var entrada = {
            EMPGRUPO_COD: sessionStorage.getItem("EMPRGRUP_COD"),
            EMP_COD: sessionStorage.getItem("EMPR_COD"),
            GAMOVTIP_COD: $('#menuMovimiento .invisible-input').val(),
            GAART_COD: $('#txtArt').val(),
            GAALMNOM_COD: $('#txtAlmacenDest').val(),
            GAUBIC_COD: $('#txtUbicDest').val(),
            LOTE: $('#txtLoteDest').val(),
            C_UNID1: $('#txtExistAct1').val()
        };
        return entrada;
    }

    function ordenSalida() {
        var salida = {
            EMPGRUPO_COD: sessionStorage.getItem("EMPRGRUP_COD"),
            EMP_COD: sessionStorage.getItem("EMPR_COD"),
            GAMOVTIP_COD: $('#menuMovimiento .invisible-input').val(),
            GAART_COD: $('#txtArt').val(),
            GAALMNOM_COD: $('#txtAlmacenOrig').val(),
            GAUBIC_COD: $('#txtUbicOrig').val(),
            LOTE: $('#txtLoteOrig').val(),
            C_UNID1: $('#txtExistAct1').val()
        };
        return salida;
    }
    function obtenerTipoMov() {
        v_tipoMovimiento = $('#tipoMov').val();
        var v_url = "movimientos/iniciocambioubicacion";
        if (v_tipoMovimiento === "Entradas") {
            v_url = "movimientos/inicioentradas";
        } else if (v_tipoMovimiento === "Salidas") {
            v_url = "movimientos/iniciosalidas";
        }

        var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD") };
        var v_method = "GET";
        var v_success = function (response) {
            var Ok = function () {
                if (response.Objeto.GAMOVTIP.length === 1) {
                    $('#menuMovimiento .invisible-input').val(response.Objeto.GAMOVTIP[0].COD);
                } else if (response.Objeto.GAMOVTIP.length > 1) {
                    $('#menuMovimiento').click();
                } else {
                    $('#menuMovimiento .invisible-input').val("");
                }

                if (response.Objeto.GAALMNOM_ORI) {
                    $('#txtAlmacenOrig').val(response.Objeto.GAALMNOM_ORI).trigger(keypressEvent);
                }

                if (v_tipoMovimiento === "CambioUbic") {
                    CONFIG.GAALMNOM_ORI = response.Objeto.GAALMNOM_ORI;
                    CONFIG.GAALMNOM_DES = response.Objeto.GAALMNOM_DES;
                    CONFIG.GAALMNOM_DES_UNICO = response.Objeto.GAALMNOM_DES_UNICO;
                    CONFIG.MOSTRAR_LOTE_DES = response.Objeto.MOSTRAR_LOTE_DES;

                    if (CONFIG.GAALMNOM_DES_UNICO) {
                        $('.almacenBox').hide();
                        $('.almacenesBox').show();
                        $('#txtAlmacenDest').val(CONFIG.GAALMNOM_ORI);
                    } else {
                        $('.almacenBox').show();
                        $('.almacenesBox').hide();
                        if (response.Objeto.GAALMNOM_DES) {
                            $('#txtAlmacenDest').val(response.Objeto.GAALMNOM_DES).trigger(keypressEvent);
                        }
                    }
                    if (!CONFIG.MOSTRAR_LOTE_DES) {
                        $("#loteDest").hide();
                    }
                }

                // RBM 17/04/20 Establece foco en el invocante antes de abrir el modal??? Debe hacerse después!!!!!!!!!!!!!!!!!!!!!!!!
                //focusUbicacionDestino();
                //focusUbicacionOrigen();
                //if (typeof $('#txtAlmacenOrig') !== 'undefined' && $('#txtAlmacenOrig') !== null && $('#txtAlmacenOrig').val() === "") {
                //    focusAlmacenOrigen();
                //} else if (typeof $('#txtAlmacenDest') !== 'undefined' && $('#txtAlmacenDest') !== null && $('#txtAlmacenDest').val() === "") {
                //    focusAlmacenDestino();
                //}

            };
            handleResponse(response, Ok);
        };
        apiGeneral(v_url, v_method, v_datos, v_success);
    }

    function limpiarCampos() {
        limpiarAlmacenOrig();
        limpiarAlmacenDest();
        limpiarUbicOrig();
        limpiarUbicDest();
        limpiarLoteDest();
        limpiarLoteOrig();
        limpiarArticulo();

        obtenerTipoMov();
    }

    function limpiarAlmacenOrig() {
        $('#txtAlmacenOrig').val('');
        $('#txtAlmacenOrigDescr').val('');
    }

    function limpiarAlmacenDest() {
        $('#txtAlmacenDest').val('');
        $('#txtAlmacenDestDescr').val('');
    }

    function limpiarUbicOrig() {
        $('#txtUbicOrig').val('');
    }

    function limpiarUbicDest() {
        $('#txtUbicDest').val('');
    }

    function limpiarLoteOrig() {
        $('#txtLoteOrig').val('');
    }

    function limpiarLoteDest() {
        $('#txtLoteDest').val('');
    }

    function limpiarArticulo() {
        $('#txtArt').val('');
        $('#txtArtDescr').val('');
        $('#txtExistAct1').val('');
    }

    function addBatchQty() {
        var url = "Movimientos/Cantidad";
        var method = "GET";
        var data = {
            EMPGRUPO_COD: sessionStorage.getItem("EMPRGRUP_COD"),
            EMP_COD: sessionStorage.getItem("EMPR_COD"),
            GAART_COD: $('#txtArt').val(),
            GAALMNOM_COD: $(txtAlmOrig).val(),
            GAUBIC_COD: $(txtUbicOrig).val(),
            LOTE: $(txtLoteOrig).val()
        };
        var success = function (response) {
            var Ok = function () {
                $(txtCant).val(response.Objeto.C_UNID1);
            };
            handleResponse(response, Ok);
        };
        apiGeneral(url, method, data, success);
    }
});
function setFieldsetSize(windowWidth) {
    if (windowWidth > 400) {
        $('#origen, #destino').addClass('col-xs-6');
        $('#location div, #article div').removeClass('col-xs-8').addClass('col-xs-12');
        $('#article, #location').removeClass('col-xs-12').addClass('col-xs-6');
    } else if (windowWidth < 400) {
        $('#origen, #destino').removeClass('col-xs-6');
        $('#location div, #article div').removeClass('col-xs-12').addClass('col-xs-8');
        $('#article, #location').removeClass('col-xs-6').addClass('col-xs-12');
    }
}

function setFieldSize(windowWidth) {
    var labels = $('#origen label, #destino label');
    var searchfields = $('.searchField');
    var searchButtons = $('.boton-busqueda');
    var articleFields = $('#Entradas #articulo .field, #Salidas #articulo .field');
    var articleArea = $('#Entradas #articuloFieldset, #Salidas #articuloFieldset');
    if (windowWidth > 400) {
        //searchfields.removeClass('col-xs-7').addClass('col-xs-10');
        //articleFields.removeClass('col-xs-8').addClass('col-xs-7');
        //searchButtons.removeClass('col-xs-1').addClass('col-xs-2');
        labels.removeClass('control-label').addClass('label-form');
        articleArea.removeClass("col-xs-12").addClass("col-xs-6");
    } else if (windowWidth < 400) {
        //searchfields.removeClass('col-xs-10').addClass('col-xs-7');
        //articleFields.removeClass('col-xs-8').addClass('col-xs-7');
        //searchButtons.removeClass('col-xs-2').addClass('col-xs-1');
        labels.removeClass('label-form').addClass('control-label');
        articleArea.removeClass("col-xs-6").addClass("col-xs-12");
    }
}