﻿var data;
var dataAux;
var v_tabla;
var v_dataClon;
var detallesProd;
var v_lineas;
var v_lineas_pedido;
var v_orden_exp;
var v_cant_linea;
var v_pedidoActual_cant;
var bulto;
var v_bultos;
var v_control_lote_ubic;
var v_posicion_pedido;
var dialogOpening;
var v_pedidos_diferentes;

$(window).resize(function () {
    resizePedidos();
});

function resizePedidos() {
    if ($(window).width() < 400) {
        $('#ref .sinLote label').removeClass('col-xs-12').addClass('col-xs-2');

    } else {
        $('#ref .sinLote label').removeClass('col-xs-2').addClass('col-xs-12');
    }
}

function initialize() {
    data;
    dataAux;
    dialogOpening = false;
    v_dataClon;
    detallesProd = [];
    v_lineas;
    v_lineas_pedido = [];
    v_orden_exp = new Array();
    v_cant_linea;
    v_pedidoActual_cant;
    bulto = [];
    v_bultos = [];
    v_control_lote_ubic;
    v_posicion_pedido;
    v_pedidos_diferentes = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), Lineas: [] };
    $('#clientInput').get(0).focus();
}
$(document).ready(function () {

    initialize();
    expedir();
    var v_columns = [
        generateColumn("N_LIN", "ID", false),
        generateColumn("GAART_UBIC_SN", "ID", false),
        generateColumn("GAART_LOTES_SN", "ID", false),
        generateColumn("GAART_COD", Resources.table_head_article, true, false, ''),
        generateColumn("GAART_DESCRIP", Resources.table_head_description, true, false, ''),
        generateColumn("C_PDTE", Resources.table_head_pending, true, true, '')
    ];
    var columnDefs = [
        { "width": "6em", "targets": 3 },
        { "width": "4em", "targets": 5}
    ];
    //var displayLength = ($(window).width() < 400) ? 6 : 8;

    createTableJson('#tablaPedidos', null, v_columns, 1, null, columnDefs);

    //createTableJson('#tablaPedidos', null, v_columns, displayLength);
    v_tabla = $('#tablaPedidos').DataTable();
    cambioTamanioPed();
    // Aquie obtienes mediante DOM el control a traves de ID 
    var btnNuevo = document.getElementById('btnNuevoPedido');
    var cliente = document.getElementById('clientInput');
    var clienteDescrip = document.getElementById('clientDescrip');
    var tableBody = $('#tablaPedidos tbody');
    var btnConfirmar = document.getElementById('confirmar');
    var campCant = document.getElementById('campCant');
    var reference = document.getElementById('campRefer');
    var btnClientSearch = document.getElementById('btnClientSearch');

    addEvent(btnNuevo, 'click', clear, false);
    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(cliente).on('keydown', function (e) { pedidosCliente(e); });
    $(cliente).on('change', function (e) { pedidosCliente(e); });
    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(reference).on('keydown', function (e) { searchArticleByReference(e); });
    $(reference).on('change', function (e) { searchArticleByReference(e); });
    tableBody.on('click', function (e) { clickTablaPedido(e); });
    addEvent(btnConfirmar, 'click', iniciarExpedicion, false);
    addEvent(campCant, 'change', cantSinLotUb, false);
    addEvent(btnClientSearch, 'click', searchClient, false);
    $(cliente).val("").focus().select();

    function clear() {
        initialize();
        v_tabla.clear().draw();
        $(reference).val("");
        $(cliente).val("").focus().select();
        $(clienteDescrip).val("");
    }


    function pedidosRowData(e) {
        var selectedRow = v_tabla.row(e.target)[0];
        $('#descArticulo').val(v_tabla.rows(selectedRow).data()[0].GAART_DESCRIP);
        $('#ref #campRefer').val(v_tabla.rows(selectedRow).data()[0].GAART_COD);

        var row = $('#tablaPedidos').DataTable().row(selectedRow);
        var LotUbic = row.data().GAART_LOTES_SN + row.data().GAART_UBIC_SN;
        var GGPED_TIP = row.data().GGPEDTIP_COD;
        var N_PEDIDO = row.data().N_PEDIDO;
        var N_lin = row.data().N_LIN;
        var rowID = GGPED_TIP + "-" + N_PEDIDO + "_" + N_lin;
        var $row = $(row.node());
        $row.addClass(LotUbic).prop("id", rowID);
        controlLotUb($row);
    }

    function pedidosCliente(e) {
        // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
        //if (e.which === 13 || e.keyCode === 13) {
        {
            var url = "Expedicion/PedidosCliente";
            var method = "GET";
            var v_data = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                ggclipr_cod: $('#clientInput').val()
            };
            var success = function (response) {
                clear();
                var Ok = function () {
                    data = response.Objeto;

                    $(cliente).val(data.GGCLIPR_COD);
                    $(clienteDescrip).val(data.GGCLIPR_NOMBRE);

                    pintarPedidosCliente();
                };
                var error = function () {
                    $('#clientInput').focus().select();
                };
                handleResponse(response, Ok, error);
            };
            apiGeneral(url, method, v_data, success);
        }
    }

    function pintarPedidosCliente() {
        //data = dataAux;
        // Clon de data para que los datos no sean modificados 
        // en el caso de que se cancele la operación
        v_dataClon = JSON.parse(JSON.stringify(data));

        initialize();
        generarMenu();

        var v_table = $('#tablaPedidos').DataTable();
        v_table.clear().draw();
        if (v_table.rows.length === 0) {
            v_table.rows.add(data.Lineas).draw();
            v_table.columns.adjust().draw()
            console.log($('#tablaPedidos'))
            v_lineas = v_table.rows().data();
            selectRow('#tablaPedidos');
        }
        $('#menuObservaciones').show();

        // Si el pedido tiene alguna observación
        if (data.OBSER) {
            $('#menuObservaciones input').val(Resources.menu_show);
        } else {
            $('#menuObservaciones input').val(Resources.menu_no_observations);
        }

        $('#txtRefer').addClass('col-xs-10');
        $('#txtRefer').removeClass('col-xs-5');
        $('.sinLote').hide();

        $('#campRefer').val("").get(0).focus();
    }

    function cantSinLotUbKey(e) {
        if (e.which === 13) {
            cantSinLotUb(e);
        }
    }

    function clickTablaPedido(event) {
        if (v_lineas.length > 0) {
            if (!dialogOpening) {
                pedidosRowData(event);
                iniciarPedido(event);
            }

        } else {
            $('#confirmar').prop('disabled', true);
        }
    }

    function iniciarPedido(e) {
        var tableRow = $(v_tabla.row(e.target).node());

        //Si no tiene control de lotes ni ubicaciones seguira por la función
        controlLotUb(tableRow);

        //si no, seguira adelante
        if (!tableRow.hasClass('NN')) {
            var promise = comprobarPedidos(tableRow);
            promise.done(function (response) {
                if (response) {

                    dialogOpening = true;
                    v_posicion_pedido = getId($('#tablaPedidos').DataTable().row(tableRow).data());

                    v_lineas = v_tabla.rows().data();
                    v_pedidoActual_cant = 0;
                    detallesProd = [];
                    v_cant_linea = v_tabla.rows(tableRow).data()[0].C_PDTE;
                    v_control_lote_ubic = 'SS';
                    var v_dialog = "#dialogLoV";
                    var v_nombre_tabla = 'tablaUbicaciones';
                    var v_column = [
                        generateColumn('GAUBIC_COD', Resources.table_head_location),
                        generateColumn('LOTE', Resources.table_head_batch),
                        generateColumn('C_UNI1', Resources.table_head_available, true, true)
                    ];
                    var columnDefs = [
                        { "width": "6em", "targets": 0 },
                        { "width": "4em", "targets": 2 }
                    ];
                    if (!tableRow.hasClass('SS')) {
                        var col = tableRow.hasClass('NS') ? true : false;
                        if (col) {
                            v_control_lote_ubic = 'NS';
                            v_column = [
                                generateColumn('GAUBIC_COD', Resources.table_head_location),
                                generateColumn('LOTE', Resources.table_head_batch, false),
                                generateColumn('C_UNI1', Resources.table_head_available, true, true)
                            ];
                            columnDefs = [
                                { "width": "4em", "targets": 2 }
                            ];
                        } else {
                            v_control_lote_ubic = 'SN';
                            v_column = [
                                generateColumn('GAUBIC_COD', Resources.table_head_location, false),
                                generateColumn('LOTE', Resources.table_head_batch),
                                generateColumn('C_UNI1', Resources.table_head_available, true, true)
                            ];
                            columnDefs = [
                                { "width": "4em", "targets": 2 }
                            ];
                        }
                    }
                    //var url = Router.action('Dialog', 'Dialog');
                    var url = "Dialog/Dialog";
                    var inputs =
                        [
                            generateSingleInput(4, Resources.label_ubicacion, 'txtUbic', '', 'campUbicacion', "focusable"),
                            generateSingleInput(5, Resources.label_lote, 'txtLote', '', 'campLote', "focusable"),
                            generateSingleInput(3, Resources.label_quantity, 'txtCant', '', 'campCant', 'text-right focusable', true)
                        ];
                    var upperInputs =
                        [
                            generateSingleInput(4, Resources.label_ref, 'txtRef', v_tabla.rows(tableRow).data()[0].GAART_COD, 'campRef', '', false, 'text', true),
                            generateSingleInput(5, Resources.label_description, 'txtDescrip', v_tabla.rows(tableRow).data()[0].GAART_DESCRIP, 'campDescrip', '', false, 'text', true),
                            generateSingleInput(3, Resources.label_pending, 'txtPdte', '', 'campPdte', 'text-right', true, 'number', true)
                        ];
                    var buttons = [{ id: 'aceptar', value: Resources.button_accept }];

                    var id = buscarLineaPedido(tableRow.prop('id'));
                    var v_existencias = v_dataClon.Lineas[id].Existencias;
                    generarDialogAuto(url, v_dialog, v_nombre_tabla, null, v_existencias, v_column, buttons, inputs, upperInputs, selectUbicacion,
                        Resources.title_location, ['dialogPedidos2'], null, null, Resources.table_zeroRecordsMessage_no_stock, null, false, columnDefs);
                }
            });
        } else {
            $('#ref #campCant').focus();
        }
    }

    function pedidosCliRowData(e) {
        var selectedRow = v_tabla.row(e.target)[0];
        $('#descArticulo').val(v_tabla.rows(selectedRow).data()[0].GAART_DESCRIP);
        $('#ref #campRefer').val(v_tabla.rows(selectedRow).data()[0].GAART_COD);

        var lotes = v_tabla.rows(selectedRow).data()[0].GAART_LOTES_SN;
        var ubicaciones = v_tabla.rows(selectedRow).data()[0].GAART_UBIC_SN;

        var LotUbic = $('#tablaPedidos').DataTable().row(selectedRow).data().GAART_LOTES_SN + $('#tablaPedidos').DataTable().row(selectedRow).data().GAART_UBIC_SN;
        var N_lin = $('#tablaPedidos').DataTable().row(selectedRow).data().N_LIN;
        $($('#tablaPedidos').DataTable().row(selectedRow).node()).addClass(LotUbic).prop("id", N_lin);
        row = $(v_tabla.row(selectedRow).node());
        controlLotUb(row);
    }

    function comprobarPedidos(tableRow) {
        var deferred = $.Deferred();
        if (v_pedidos_diferentes.Lineas.length !== 0) {
            var posible;
            var v_pedidos_diferentesAux = JSON.parse(JSON.stringify(v_pedidos_diferentes));

            //var tableRow = $(event.target).closest('tr');
            var tableData = $('#tablaPedidos').DataTable().rows(tableRow).data()[0];
            var tipoPed = tableData.GGPEDTIP_COD;
            var numPed = tableData.N_PEDIDO;

            var repetido = false;

            for (var i = 0; i < v_pedidos_diferentesAux.Lineas.length; i++) {
                if (v_pedidos_diferentesAux.Lineas[i].ggpedtip_cod === tipoPed &&
                    v_pedidos_diferentesAux.Lineas[i].n_pedido === numPed) {
                    repetido = true;
                }
            }
            if (!repetido) {
                v_pedidos_diferentesAux.Lineas.push({ ggpedtip_cod: tipoPed, n_pedido: numPed });
            }
            var success = function (response) {
                deferred.resolve(response.Ok);
                if (!response.Ok) {
                    lanzarMensaje(response.Ok, response.Mensaje);
                }
            };

            apiGeneral("expedicion/comprobarpedidos", 'GET', v_pedidos_diferentesAux, success);
            return deferred.promise();
        } else {
            deferred.resolve(true);
            return deferred.promise();
            //iniciarPedido(event);
        }
    }

    function cantSinLotUb() {
        var v_tabla = $('#tablaPedidos').DataTable();
        var selectedRow = v_tabla.row('.selected')[0];
        var promise = comprobarPedidos(selectedRow);
        promise.done(function (response) {
            if (response) {
                v_posicion_pedido = getId($('#tablaPedidos').DataTable().row('.selected').data());
                v_pedidoActual_cant = 0;
                var v_cantVal = $('#ref #campCant').val().trim();
                if ($.isNumeric(v_cantVal) && v_cantVal !== 0) {
                    detallesProd = [];
                    var v_existencias = v_tabla.rows('.selected').data()[0].Existencias;
                    var v_cantidad = eval($('#ref #campCant').val());
                    var existencias = 0;
                    for (i = 0; i < v_existencias.length; i++) {
                        existencias = existencias + v_existencias[i].C_UNI1;
                    }
                    var v_pendiente = eval(v_tabla.rows('.selected').data()[0].C_PDTE);

                    modCantidades(existencias, v_cantidad, v_pendiente);
                    if (data.BultosPorLinea) {
                        dialogOpening = true;
                        lanzarVentanaBultos("#dialogLoV");
                    } else {
                        sinBulto();
                    }
                    $('#ref #campCant').val("");
                }
            }
        });
    }

    function controlLotUb(JQInput) {
        if (JQInput.hasClass('NN')) {
            $('#txtRefer').removeClass('col-xs-10');
            $('#txtRefer').addClass('col-xs-5');
            $('.sinLote').show();
            if (typeof v_code !== 'undefined' && v_code !== "" && v_code.obtenerIdentificadores.length > 0) {
                for (i = 0; i < v_code.obtenerIdentificadores.length; i++) {
                    if (v_code.obtenerIdentificadores[i].ia === "37") {
                        $('#ref #campCant').val(v_code.obtenerIdentificadores[i].valor);
                    }
                }
            }
            $('#ref #campCant').focus();
            resizePedidos();
        } else {
            $('#txtRefer').addClass('col-xs-10');
            $('#txtRefer').removeClass('col-xs-5');
            $('.sinLote').hide();
        }
    }



    function iniciarExpedicion() {
        if (!dialogOpening && data) {
            recogerDatos();
            if ($('#campCant').val() === "") {
                var vacio = true;
                if (v_orden_exp.length !== 0) {
                    for (i = 0; i < v_orden_exp.LINEAS.length; i++) {
                        if (v_orden_exp.LINEAS[i].C_UNI1 !== 0) {
                            vacio = false;
                        }
                    }
                }
                if (!vacio) {
                    transformExpedicion();
                    var url = "expedicion/ResumenBultosPedidosCliente";
                    var datos = v_orden_exp;
                    var method = "PUT";
                    var success = function (response) {
                        var Ok = function () {
                            showDialog("#dialogEnviosEtiquetas");
                            $('.datosEnvio').hide();
                            $('#bultosInput').val(response.Objeto.N_BULTOS);
                            $('#pesoInput').val(response.Objeto.PESO);
                            $('#etiquetasInput').val(response.Objeto.N_ETIQUETAS);
                            $('.datosEtiquetas').show();
                            $("#codTransportistaInput").focus().select();
                        };
                        handleResponse(response, Ok);
                    };

                    apiGeneral(url, method, datos, success);
                } else {
                    lanzarMensaje(false, Resources.error_prep_pedido);
                }
            }
        }

    }
    function buscarLineaPedido(id) {
        for (i = 0; i < data.Lineas.length; i++) {
            if (getId(data.Lineas[i]) === id) {
                return i;
            }
        }
    }

    //Reinicio de la variable v_dataClon actual (
    function restartData() {
        dialogOpening = false;
        if (!data) v_dataClon = JSON.parse(JSON.stringify(data));
    }


    //Busqueda Articulos
    function searchArticleByReference(event) {
        // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
        //if (event.which === 13) {
        {

            var encontrado = seleccionFila("#tablaPedidos", [{
                KEY: "GAART_COD",
                VALUE: $('#campRefer').val()
            }]);

            if (encontrado) {
                $('#tablaPedidos .selected').click();
            } else {
                lanzarMensaje(false, Resources.error_article_not_found, function () {
                    $('#campRefer').focus().select();
                });
            }
        }
    }


    //Busqueda Clientes
    function searchClient() {
        var url = "Expedicion/Clientes";
        var method = "GET";
        var v_data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD")
        };
        var success = function (response) {
            var Ok = function () {
                //var url = Router.action('Dialog', 'Dialog');
                var url = "Dialog/Dialog";
                var v_column = [generateColumn('GGCLIPR_COD', Resources.table_head_code), generateColumn('GGCLIPR_NOMBRE', Resources.table_head_name)];
                var columnDefs = [
                    { width: '6em', targets: 0 }
                ];
                var buttons = [{ id: 'select', value: Resources.button_select }];
                var v_nombre_tabla = "clientTable";
                v_dialog = "#dialogLoV";
                generarDialogAuto(url, v_dialog, v_nombre_tabla, null, response.Objeto, v_column, buttons, null, null, selectClient, Resources.title_clients, null, null, null, Resources.table_zeroRecordsMessage_no_clients, null, false, columnDefs, true);
            };
            handleResponse(response, Ok);
        };
        apiGeneral(url, method, v_data, success);
    }

    function selectClient() {
        var btnSelect = document.getElementById('select');

        addEvent(btnSelect, 'click',
            function () {
                var clientCod = $('#clientTable').DataTable().rows('.selected').data()[0].GGCLIPR_COD;
                var e = $.Event("keypress", { which: 13 });
                $('#clientInput').val(clientCod);
                pedidosCliente(e);
                closeModal('#dialogLoV');
            }, false);
    }
});
function restartData() {
    v_dataClon = JSON.parse(JSON.stringify(data));
}