﻿$(document).ready(function () {
    //seleccionTransporte();

    inicializarEventos();

});
function inicializarEventos() {
    // Aqui obtienes mediante DOM el control a traves de ID
    var inpTransportista = document.getElementById('codTransportistaInput');
    var inpVehiculo = document.getElementById('codVehiculoInput');
    var btnTransporterSearch = document.getElementById('transporterSearch');
    var btnVehicleSearch = document.getElementById('vehicleSearch');
    var bultosInput = document.getElementById('bultosInput');
    var pesoInput = document.getElementById('pesoInput');
    var etiquetasInput = document.getElementById('etiquetasInput');

    addEvent(inpTransportista, 'change', transporterChange, false);
    addEvent(inpVehiculo, 'change', vehicleChange, false);
    addEvent(btnTransporterSearch, 'click', transporterSearch, false);
    addEvent(btnVehicleSearch, 'click', vehicleSearch, false);

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(bultosInput).keypress(function (e) { if (e.which == 13) focusPeso() });
    //$(pesoInput).keypress(function (e) { if (e.which == 13) focusEtiquetas() });
    //$(etiquetasInput).keypress(function (e) { if (e.which == 13) focusTransport() });
    //$(inpTransportista).keypress(function (e) { if (e.which == 13) focusVehicle() });
    //$(inpVehiculo).keypress(function (e) { if (e.which == 13) focusBultos() });
    //$(bultosInput).on("change", function (e) { focusPeso() });
    //$(pesoInput).on("change", function (e) { focusEtiquetas() });
    //$(etiquetasInput).on("change", function (e) { focusTransport() });
    //$(inpTransportista).on("change", function (e) { focusVehicle() });
    //$(inpVehiculo).on("change", function (e) { focusBultos() });

    function focusTransport() {
        $(inpTransportista).focus().select();
    }

    function focusVehicle() {
        $(inpVehiculo).focus().select();
    }

    function focusBultos() {
        $("#bultosInput").focus().select();
    }
    function focusPeso() {
        $("#pesoInput").focus().select();
    }
    function focusEtiquetas() {
        $("#etiquetasInput").focus().select();
    }



    function transporterChange() {
        if ($(this).val() !== '') {
            var url = "expedicion/ModoEnvio";
            var datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), GGMENVIO_COD: $(this).val() }
            var method = "GET";
            var success = function (response, status, xhr) {
                if (response.Ok) {
                    $('#codTransportistaInput').val(response.Objeto.COD);
                    $('#nombreTransportistaInput').val(response.Objeto.DESCRIP);
                    $(inpVehiculo).focus().select();
                    limpiarVehiculos();
                } else {
                    $('#nombreTransportistaInput').val("");
                    $(inpTransportista).focus().select();
                    limpiarVehiculos();
                    lanzarMensaje(false, response.Mensaje, focusTransport);
                }
            }

            apiGeneral(url, method, datos, success);
        } else {
            $('#nombreTransportistaInput').val("");
            limpiarVehiculos();
        }
    }



    function vehicleChange() {
        if ($(this).val() !== '') {
            var url = "expedicion/Vehiculo";
            var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), ggmenvio_cod: $('#codTransportistaInput').val(), cod: $(this).val() }
            var method = "GET";
            var success = function (response) {
                if (response.Ok) {
                    $('#codVehiculoInput').val(response.Objeto.COD);
                    $('#descrVehiculoInput').val(response.Objeto.DESCRIP);
                } else {
                    $('#descrVehiculoInput').val('');
                    lanzarMensaje(false, response.Mensaje, focusVehicle);
                }
            }
            apiGeneral(url, method, v_datos, success);
        } else {
            limpiarVehiculos();
        }
    }

    function transporterSearch() {
        var url = "expedicion/ModosEnvio";
        var method = "GET";
        var datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD") }
        var success = function (response) {
            if (response.Ok) {
                //var url = Router.action('Dialog', 'Dialog');
                var url = "Dialog/Dialog";
                var v_columns = [
                    generateColumn('COD', Resources.table_head_code),
                    generateColumn('DESCRIP', Resources.table_head_description)
                ];
                var columnDefs = [
                    { width: "6em", target: 0 }
                ];
                var v_buttons = [generateSingleButton("datosEnvioAccept", Resources.button_accept)];
                generarDialogAuto(url, "#dialogLoV", "tableTransporter", null, response.Objeto, v_columns, v_buttons, null, null, transporterFunctions, Resources.title_shipping_data, null, null, null, null, null, null, columnDefs, true);
            } else {
                lanzarMensaje(response.Ok, response.Mensaje)
            }
        }
        apiGeneral(url, method, datos, success);
    }

    function vehicleSearch() {
        var url = "expedicion/Vehiculos";
        var datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), ggmenvio_cod: $('#codTransportistaInput').prop('value') }
        var method = "GET";
        var success = function (response) {
            if (response.Ok) {
                //var url = Router.action('Dialog', 'Dialog');
                var url = "Dialog/Dialog";
                var v_columns = [generateColumn('COD', Resources.table_head_code), generateColumn('DESCRIP', Resources.table_head_description)];
                var columnDefs = [
                    { width: "6em", target: 0 }
                ];
                var v_buttons = [generateSingleButton("datoEnvioAccept", Resources.button_accept)];
                generarDialogAuto(url, "#dialogLoV", "tableVehicle", null, response.Objeto, v_columns, v_buttons, null, null, vehicleFunctions, Resources.title_shipping_vehicle_data, null, null, null, null, null, null, columnDefs, true);
            } else {
                lanzarMensaje(response.Ok, response.Mensaje);
            }
        }
        apiGeneral(url, method, datos, success);
    }

    // pedidos_pedidos: L223
    function envioAceptar() {
        var url = "expedicion/Vehiculo";
        var v_datos = { empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"), emp_cod: sessionStorage.getItem("EMPR_COD"), ggmenvio_cod: $('#codTransportistaInput').val(), cod: $('#codVehiculoInput').val() }
        var method = "GET";
        var success = function (response) {
            if (response.Ok) {
                datosEnvio();
                $('#dialogEnviosEtiquetas').modal('hide');
            } else {
                $('#descrVehiculoInput').val('');
                lanzarMensaje(false, response.Mensaje);
            }
        }
        apiGeneral(url, method, v_datos, success);
    }

    function transporterFunctions() {
        $('.close').on("click", function () {
            closeModal("#dialogDatosEnvio");
        });
        $('#datosEnvioAccept').on("click", function () {
            var v_table = $("#tableTransporter").DataTable();
            if (v_table.rows().data().length > 0) {
                var v_codTransportista = v_table.rows('.selected').data()[0].COD;
                var v_nombreTransportista = v_table.rows('.selected').data()[0].DESCRIP;
                $('#codTransportistaInput').val(v_codTransportista);
                $('#nombreTransportistaInput').val(v_nombreTransportista);
                limpiarVehiculos();
            }
            closeModal('#dialogLoV');
        });
    }

    function vehicleFunctions() {
        $('.close').on("click", function () {
            closeModal("#dialogDatosEnvio");
        });
        $('#datoEnvioAccept').on("click", function () {
            var v_table = $("#tableVehicle").DataTable();
            var v_data_table = v_table.rows('.selected').data();
            if (v_data_table.length !== 0) {
                var v_codVehiculo = v_data_table[0].COD;
                var v_descrVehiculo = v_data_table[0].DESCRIP;
                if (v_table.rows().data().length > 0) {
                    $('#codVehiculoInput').val(v_codVehiculo);
                    $('#descrVehiculoInput').val(v_descrVehiculo);
                }
            }
            closeModal('#dialogLoV');
        });
    }


    function limpiarVehiculos() {
        $('#codVehiculoInput').val("");
        $('#descrVehiculoInput').val("");
    }
};

function datosEnvio() {
    v_orden_exp.GGMENVIO_COD = $('#codTransportistaInput').val();
    v_orden_exp.GGVEHICULO_COD = $('#codVehiculoInput').val();
}
