﻿var data = $('#data').val();
var detallesProd = [];
var bultosJSON = "";
var v_lineas;
var v_lineas_pedido = [];
var v_orden_exp = new Array();
var v_cant_linea;
var v_pedidoActual_cant;
var bulto = [];
var v_bultos = [];
var v_control_lote_ubic;
var v_lineas_aux = [];
var v_posicion_pedido;

var v_codBarras;

function Detalles(buffer) {

    var articulos = buffer.Articulos;
    //var url = Router.action('Dialog', 'Dialog');
    var url = 'Dialog/Dialog';
    var v_dialog = '#dialogLoV';
    var v_tableName = 'detallesPedidos';

    var v_columns = [
        { "mDataProp": "NUMLIN", name: Resources.table_head_bulto },
        { "mDataProp": "GAART_COD", name: Resources.table_head_code },
        { "mDataProp": "C_UNI1", name: Resources.table_head_quantity }
    ];

    var columnDefs = [
        { width: '12em', target: 1 },
        { width: '4em', target: 2 }
    ];

    var v_buttons = [generateSingleButton('accept', Resources.button_accept)];

    generarDialogAuto(url, v_dialog, v_tableName, null, articulos, v_columns, v_buttons, null, null, selectPedido, "Detalles Pedidos", null, null, null, null, null, null, columnDefs);
}

function selectPedido() {
    $('#accept').on('click', function () {
        var v_table = $("#detallesPedido").DataTable();
        closeModal('#dialogLoV');
    });
}

$(document).ready(function () {
    cambioTamanioImpresion();

    createTable('#tablaUtils');

    var v_tabla = $('#tablaUtils').DataTable();

    v_lineas = v_tabla.rows().data();

    if ($("#messageSuccess").val() !== "" && $("#messageSuccess").val()) {
        success($('#messageSuccess').val());
    }

    var btnReset = document.getElementById('btnReset');

    addEvent(window, 'load', inicializarEventos, false);

    function inicializarEventos() {
        // Aquie obtienes mediante DOM el control a traves de ID
        var articulo_ped = document.getElementById('articulo');
        var articulo_alb = document.getElementById('articulo2');
        var copia = document.getElementById('copia');

        // Se le agrega al objeto el evento (keypress), y la funcion que se va a ejecutar al presionar cualquie tecla...('presionar')
        if (articulo_ped) {
            addEvent(articulo_ped, 'keypress', presionar, false);
            //addEvent(btnReset, 'click', function () { window.location.href = Router.action('ImpresionPedido', 'Index'); }, false);
            addEvent(btnReset, 'click', function () { window.location.href = 'ImpresionPedido/Index'; }, false);

        }
        else {
            addEvent(articulo_alb, 'keypress', presionar2, false);
            //addEvent(btnReset, 'click', function () { window.location.href = Router.action('ImpresionAlbaran', 'Index'); }, false);
            addEvent(btnReset, 'click', function () { window.location.href = 'ImpresionAlbaran/Index'; }, false);
        }

        addEvent(copia, 'keypress', presionar3, false);
    }



    // register jQuery extension
    jQuery.extend(jQuery.expr[':'], {
        focusable: function (el, index, selector) {
            return $(el).is('a, button, :input, [tabindex]');
        }
    });

    // RBM 03/03/20 Cambio la validación con la pulsación del Intro para hacerla con el evento 'change'
    //$(document).on('keypress', 'input,select', function (e) {
    //    if (e.which === 13) {
    $(document).on('change', 'input,select', function (e) {
        {
            e.preventDefault();
            // Get all focusable elements on the page
            var $canfocus = $(':focusable');
            var index = $canfocus.index(document.activeElement) + 1;
            if (index >= $canfocus.length) index = 0;
            $canfocus.eq(index).focus();
        }
    });

    function presionar(e) {
        if (e) {
            if (e.which === 13) {
                //FUNCION BUSCAR BULTOS DEL PEDIDO.
                bultosPedido();
            }
        }
    }

    function presionar2(e) {
        if (e) {
            if (e.which === 13) {
                //FUNCION BUSCAR BULTOS DEL PEDIDO.
                bultosAlbaran();
            }
        }
    }

    function presionar3(e) {
        if (e) {
            if (e.which === 13) {
                //FUNCION Imprimir.
                imprimir();
            }
        }
    }

    //FUNCION IMPRESION PEDIDOS
    function bultosPedido() {
        //llamara a la URL de la API
        var v_url = "impresion/bultospedido";
        var v_method = "GET";

        //variables para la llamada a la API
        var pedido = $('#tipoPedido').val().toUpperCase();
        var articulo = $('#articulo').val().toUpperCase();

        //variables a parte
        var div_tabla = $('#tablaImp');
        div_tabla.show();
        $('#tablaUtils').DataTable().rows().remove().draw();

        var v_data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD"),
            lecturapedido: pedido,
            lecturaarticulo: articulo
        };

        var v_success = function (response, status, xhr) {
            if (response.Ok) {
                //programar la acción de mostrar contenido
                if (response.Objeto.length > 0) {
                    var txt = "";
                    $("#tablaUtils").find('tbody > tr').remove();

                    for (var i in response.Objeto) {
                        var buffer = JSON.stringify(response.Objeto[i]);

                        v_tabla.row.add([response.Objeto[i].N_BULTO, "<a href='javascript:void(0)' onclick='Detalles(" + buffer + ")'>Más Detalles</a>", "<input name='check' class='check' type='checkbox' value='' />"]).draw(false);
                        var filas = $("#tablaUtils").find('tbody > tr');
                        var fila = filas.eq(i).data('record', buffer);

                    }

                    $("#tablaUtils").removeClass('hidden');
                }
                else {
                    $("#tablaUtils").DataTable().rows().clear().draw();
                }
            } else {
                //lanzar el error de que algo no ha ido bien
                $("#tablaUtils").find('tbody > tr').remove();
                lanzarMensaje(response.Ok, response.Mensaje);
            }
        };
        apiGeneral(v_url, v_method, v_data, v_success);
    }


    //FUNCION BOTON BUSCAR PEDIDOS
    /*$('#btnbuscar').on('click', function () {
        bultosPedido();
    });*/

    function imprimir() {

        //FILTRO PARA FILAS SELECCIONADAS
        var filas = $('#tablaUtils').find('tbody > tr');
        var nuevasFilas = $.grep(filas, function (element, index) {
            var fila = $(element);
            var celdas = fila.find('td');
            var check = celdas.eq(celdas.length - 1).find('input[type="checkbox"]').eq(0);

            return check.is(':checked');
        });
        //CONSTRUCCION DE OBJETO JSON CON VALORES DE LA FILA DATA QUE CONTIENE UN STRINGIFY
        var ary = [];


        $(nuevasFilas).each(function () {
            var obj = JSON.parse($(this).data('record'));
            ary.push(obj);
        });

        //llamara a la URL de la API
        var v_url = "impresion/imprimiretiqueta";
        var v_method = "PUT";

        //variable num_copias
        var copias = $('#copia').val().toUpperCase();
        if (!$('#copia').val() || $('#copia').val() === "") {
            copias = 1;
        }
        var v_success = function (response, status, xhr) {
            if (response.Ok) {
                success("Imprimiendo...");
            } else {
                //lanzar el error de que algo no ha ido bien
                lanzarMensaje(response.Ok, response.Mensaje);
            }
        };

        //BUCLE DE SELECCIONADOS
        for (i = 0; i < ary.length; i++) {

            var v_data = {
                empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
                emp_cod: sessionStorage.getItem("EMPR_COD"),
                ggalbtip_cod: ary[i].GGALBTIP_COD,
                n_albaran: ary[i].N_ALBARAN,
                n_lin: ary[i].Articulos[0].NUMLIN,
                bultos: ary[i].N_BULTO
            };
            //BUCLE DE COPIAS
            for (j = 0; j < copias; j++) {
                apiGeneral(v_url, v_method, v_data, v_success);
            }
            //FIN BUCLE SELECCIONADOS
        }
    }


    //FUNCION IMPRIMIR PEDIDOS
    $('#imprimir').on('click', function () {
        imprimir();
    });


    //FUNCION IMPRESION ALBARANES
    function bultosAlbaran() {
        //llamara a la URL de la API
        var v_url = "impresion/bultosalbaran";
        var v_method = "GET";

        //variables para la llamada a la API
        var albaran = $('#tipoAlbaran').val().toUpperCase();
        var articulo = $('#articulo2').val().toUpperCase();

        //variables a parte
        var div_tabla = $('#tablaImp');
        div_tabla.show();
        $('#tablaUtils').DataTable().rows().remove().draw();

        var v_data = {
            empgrupo_cod: sessionStorage.getItem("EMPRGRUP_COD"),
            emp_cod: sessionStorage.getItem("EMPR_COD"),
            lecturaalbaran: albaran,
            lecturaarticulo: articulo
        };

        var v_success = function (response, status, xhr) {
            //programar la acción de mostrar contenido
            if (response.Ok) {
                if (response.Objeto.length > 0) {
                    //programar la acción de mostrar contenido
                    if (response.Objeto.length > 0) {
                        var txt = "";
                        $("#tablaUtils").find('tbody > tr').remove();

                        for (var i in response.Objeto) {
                            var buffer = JSON.stringify(response.Objeto[i]);

                            v_tabla.row.add([response.Objeto[i].N_BULTO, "<a href='javascript:void(0)' onclick='Detalles(" + buffer + ")'>Más Detalles</a>", "<input name='check' class='check' type='checkbox' value='' />"]).draw(false);
                            var filas = $("#tablaUtils").find('tbody > tr');
                            var fila = filas.eq(i).data('record', buffer);

                        }

                        $("#tablaUtils").removeClass('hidden');
                    }
                    else {
                        $("#tablaUtils").DataTable().rows().clear().draw();

                    }
                }
            }
            else {
                //lanzar el error de que algo no ha ido bien                    
                $("#tablaUtils").DataTable().rows().clear().draw();
                lanzarMensaje(response.Ok, response.Mensaje);
            }
        };

        apiGeneral(v_url, v_method, v_data, v_success);
    }


    function success(message) {
        $('#title').parent().append('<div id="titleMessage" style="display:none; height:20px;"><h2><i id="messageOk" class="glyphicon glyphicon-ok"> </i> ' + message + ' </h2></div>');
        $('#title').hide('slow');
        $('#titleMessage').show('slow');
        setTimeout(devolvTitulo, 3000);

        $('.navbar-spyro').fadeOut(300, function () {
            $(this).css('background-image', 'linear-gradient(to bottom, #5fc957, rgb(75, 139, 87))').fadeIn(300);
        });
    }

    function devolvTitulo() {
        $('#title').show('slow');
        $('#titleMessage').hide('slow');
        $('.navbar-spyro').fadeOut(300, function () {
            $(this).css('background-image', 'linear-gradient(to bottom, #6c86aa, rgb(84, 110, 146))').fadeIn(300);
        });
    }




});